<?php
/*
File: VWStags.htx

Purpose: load VWS variables into a $WX[] array for use with the Canada/World/USA template sets

Instructions:
Save this page as VWStags.htx and place in your c:\vws\templates directory

Use the VWS, Internet, HTML Settings panel and place a new entry to process as:

c:\vws\template\VWStags.htx               c:\vws\root\VWStags.php

then use the VWS, Internet, FTP Send(upload) File panel to  have

c:\vws\root\VWStags.php                   /

so that the processed file VWStags.php is uploaded to your website.

Author: Ken True - webmaster@saratoga-weather.org

(created by gen-VWStags.php - V1.01 - 12-Jan-2011)
*/
// --------------------------------------------------------------------------

// allow viewing of generated source

if (isset($_REQUEST["sce"]) and strtolower($_REQUEST["sce"]) == "view" ) {
//--self downloader --
$filenameReal = __FILE__;
$download_size = filesize($filenameReal);
header("Pragma: public");
header("Cache-Control: private");
header("Cache-Control: no-cache, must-revalidate");
header("Content-type: text/plain");
header("Accept-Ranges: bytes");
header("Content-Length: $download_size");
header("Connection: close");

readfile($filenameReal);
exit;
}
$WXsoftware = 'VWS';
$defsFile = 'VWS-defs.php';  // filename with $varnames = $WX['VWS-varnames']; equivalents

// note the embedded space in the first field.. it's there to prevent VWS from substituting
// a value for the name of the variable.  D'Oh.. Apparently, whenever it finds the string
// of characters matching one of it's variable names, it does a substitution, even without
// the surrounding caret ( ) characters.
$rawdatalines = <<<END_OF_RAW_DATA_LINES
v xv001|NW|// Wind Direction:|:
v hi001|315|// Wind Direction Daily Hi:|:
v ht001|12:00am|// Wind Direction Daily Hi Time:|:
v lo001|312|// Wind Direction Daily Lo:|:
v lt001|12:01am|// Wind Direction Daily Lo Time:|:
v va001|315|// Wind Direction Running Average:|:
v da001|0|// Wind Direction Daily Avg:|:
v ma001|315|// Wind Direction Month Avg:|:
v ya001|315|// Wind Direction Year Avg:|:
v vr001|0.0|// Wind Direction Rate:|:
v rh001|0.1|// Wind Direction Rate Hi:|:
v rt001|1:37am|// Wind Direction Rate Hi Time:|:
v rl001|-3.0|// Wind Direction Rate Lo:|:
v rs001|4:11am|// Wind Direction Rate Lo Time:|:
v mh001|359|// Wind Direction Monthly Hi:|:
v md001|1/2/11|// Wind Direction Monthly Hi Date:|:
v ml001|0|// Wind Direction Monthly Lo:|:
v me001|1/1/11|// Wind Direction Monthly Lo Date:|:
v yh001|359|// Wind Direction Yearly Hi:|:
v yd001|1/2/11|// Wind Direction Yearly Hi Date:|:
v yl001|0|// Wind Direction Yearly Lo:|:
v ye001|1/1/11|// Wind Direction Yearly Lo Date:|:
v zh001|359|// Wind Direction Yesterday Hi:|:
v zt001|10:21am|// Wind Direction Yesterday Hi Time:|:
v zl001|0|// Wind Direction Yesterday Lo:|:
v zs001|10:21am|// Wind Direction Yesterday Lo Time:|:
v hv001|250|// Wind Direction 24hours ago:|:
v dv001|65|// Wind Direction 24hour difference:|:
u ni001|&deg;|// Wind Direction Units:|:
v xv002|0|// Wind Speed:|:
v hi002|0|// Wind Speed Daily Hi:|:
v ht002|12:00am|// Wind Speed Daily Hi Time:|:
v lo002|0|// Wind Speed Daily Lo:|:
v lt002|12:00am|// Wind Speed Daily Lo Time:|:
v va002|0|// Wind Speed Running Average:|:
v da002|0|// Wind Speed Daily Avg:|:
v ma002|0|// Wind Speed Month Avg:|:
v ya002|0|// Wind Speed Year Avg:|:
v vr002|-0.0|// Wind Speed Rate:|:
v rh002|-0.0|// Wind Speed Rate Hi:|:
v rt002|7:56am|// Wind Speed Rate Hi Time:|:
v rl002|-0.0|// Wind Speed Rate Lo:|:
v rs002|12:00am|// Wind Speed Rate Lo Time:|:
v mh002|18|// Wind Speed Monthly Hi:|:
v md002|1/1/11|// Wind Speed Monthly Hi Date:|:
v ml002|0|// Wind Speed Monthly Lo:|:
v me002|1/1/11|// Wind Speed Monthly Lo Date:|:
v yh002|18|// Wind Speed Yearly Hi:|:
v yd002|1/1/11|// Wind Speed Yearly Hi Date:|:
v yl002|0|// Wind Speed Yearly Lo:|:
v ye002|1/1/11|// Wind Speed Yearly Lo Date:|:
v zh002|5|// Wind Speed Yesterday Hi:|:
v zt002|12:40pm|// Wind Speed Yesterday Hi Time:|:
v zl002|0|// Wind Speed Yesterday Lo:|:
v zs002|12:00am|// Wind Speed Yesterday Lo Time:|:
v hv002|0|// Wind Speed 24hours ago:|:
v dv002|0|// Wind Speed 24hour difference:|:
u ni002|mph|// Wind Speed Units:|:
v xv003|0|// Wind Gust:|:
v hi003|0|// Wind Gust Daily Hi:|:
v ht003|12:00am|// Wind Gust Daily Hi Time:|:
v lo003|0|// Wind Gust Daily Lo:|:
v lt003|12:00am|// Wind Gust Daily Lo Time:|:
v va003|0|// Wind Gust Running Average:|:
v da003|0|// Wind Gust Daily Avg:|:
v ma003|1|// Wind Gust Month Avg:|:
v ya003|1|// Wind Gust Year Avg:|:
v vr003|-0.0|// Wind Gust Rate:|:
v rh003|-0.0|// Wind Gust Rate Hi:|:
v rt003|7:56am|// Wind Gust Rate Hi Time:|:
v rl003|-0.0|// Wind Gust Rate Lo:|:
v rs003|12:00am|// Wind Gust Rate Lo Time:|:
v mh003|18|// Wind Gust Monthly Hi:|:
v md003|1/1/11|// Wind Gust Monthly Hi Date:|:
v ml003|0|// Wind Gust Monthly Lo:|:
v me003|1/1/11|// Wind Gust Monthly Lo Date:|:
v yh003|18|// Wind Gust Yearly Hi:|:
v yd003|1/1/11|// Wind Gust Yearly Hi Date:|:
v yl003|0|// Wind Gust Yearly Lo:|:
v ye003|1/1/11|// Wind Gust Yearly Lo Date:|:
v zh003|5|// Wind Gust Yesterday Hi:|:
v zt003|12:40pm|// Wind Gust Yesterday Hi Time:|:
v zl003|0|// Wind Gust Yesterday Lo:|:
v zs003|12:00am|// Wind Gust Yesterday Lo Time:|:
v hv003|0|// Wind Gust 24hours ago:|:
v dv003|0|// Wind Gust 24hour difference:|:
u ni003|mph|// Wind Gust Units:|:
v xv004|38|// In Humidity:|:
v hi004|39|// In Humidity Daily Hi:|:
v ht004|6:06am|// In Humidity Daily Hi Time:|:
v lo004|33|// In Humidity Daily Lo:|:
v lt004|12:11am|// In Humidity Daily Lo Time:|:
v va004|36|// In Humidity Running Average:|:
v da004|36|// In Humidity Daily Avg:|:
v ma004|39|// In Humidity Month Avg:|:
v ya004|39|// In Humidity Year Avg:|:
v vr004|1.7|// In Humidity Rate:|:
v rh004|3.1|// In Humidity Rate Hi:|:
v rt004|2:22am|// In Humidity Rate Hi Time:|:
v rl004|-2.4|// In Humidity Rate Lo:|:
v rs004|6:49am|// In Humidity Rate Lo Time:|:
v mh004|46|// In Humidity Monthly Hi:|:
v md004|1/17/11|// In Humidity Monthly Hi Date:|:
v ml004|29|// In Humidity Monthly Lo:|:
v me004|1/24/11|// In Humidity Monthly Lo Date:|:
v yh004|46|// In Humidity Yearly Hi:|:
v yd004|1/17/11|// In Humidity Yearly Hi Date:|:
v yl004|29|// In Humidity Yearly Lo:|:
v ye004|1/24/11|// In Humidity Yearly Lo Date:|:
v zh004|38|// In Humidity Yesterday Hi:|:
v zt004|5:26am|// In Humidity Yesterday Hi Time:|:
v zl004|30|// In Humidity Yesterday Lo:|:
v zs004|10:45am|// In Humidity Yesterday Lo Time:|:
v hv004|37|// In Humidity 24hours ago:|:
v dv004|-3|// In Humidity 24hour difference:|:
u ni004|%|// In Humidity Units:|:
v xv005|88|// Humidity:|:
v hi005|88|// Humidity Daily Hi:|:
v ht005|7:33am|// Humidity Daily Hi Time:|:
v lo005|79|// Humidity Daily Lo:|:
v lt005|12:00am|// Humidity Daily Lo Time:|:
v va005|87|// Humidity Running Average:|:
v da005|83|// Humidity Daily Avg:|:
v ma005|77|// Humidity Month Avg:|:
v ya005|77|// Humidity Year Avg:|:
v vr005|1.4|// Humidity Rate:|:
v rh005|2.1|// Humidity Rate Hi:|:
v rt005|2:08am|// Humidity Rate Hi Time:|:
v rl005|0.1|// Humidity Rate Lo:|:
v rs005|12:27am|// Humidity Rate Lo Time:|:
v mh005|96|// Humidity Monthly Hi:|:
v md005|1/3/11|// Humidity Monthly Hi Date:|:
v ml005|25|// Humidity Monthly Lo:|:
v me005|1/24/11|// Humidity Monthly Lo Date:|:
v yh005|96|// Humidity Yearly Hi:|:
v yd005|1/3/11|// Humidity Yearly Hi Date:|:
v yl005|25|// Humidity Yearly Lo:|:
v ye005|1/24/11|// Humidity Yearly Lo Date:|:
v zh005|84|// Humidity Yesterday Hi:|:
v zt005|8:08am|// Humidity Yesterday Hi Time:|:
v zl005|38|// Humidity Yesterday Lo:|:
v zs005|2:57pm|// Humidity Yesterday Lo Time:|:
v hv005|83|// Humidity 24hours ago:|:
v dv005|5|// Humidity 24hour difference:|:
u ni005|%|// Humidity Units:|:
v xv006|71.3|// In Temp:|:
v hi006|73.6|// In Temp Daily Hi:|:
v ht006|12:00am|// In Temp Daily Hi Time:|:
v lo006|68.1|// In Temp Daily Lo:|:
v lt006|7:12am|// In Temp Daily Lo Time:|:
v va006|69.1|// In Temp Running Average:|:
v da006|70.2|// In Temp Daily Avg:|:
v ma006|71.7|// In Temp Month Avg:|:
v ya006|71.7|// In Temp Year Avg:|:
v vr006|2.17|// In Temp Rate:|:
v rh006|2.21|// In Temp Rate Hi:|:
v rt006|7:55am|// In Temp Rate Hi Time:|:
v rl006|-1.30|// In Temp Rate Lo:|:
v rs006|12:44am|// In Temp Rate Lo Time:|:
v mh006|79.5|// In Temp Monthly Hi:|:
v md006|1/25/11|// In Temp Monthly Hi Date:|:
v ml006|63.0|// In Temp Monthly Lo:|:
v me006|1/4/11|// In Temp Monthly Lo Date:|:
v yh006|79.5|// In Temp Yearly Hi:|:
v yd006|1/25/11|// In Temp Yearly Hi Date:|:
v yl006|63.0|// In Temp Yearly Lo:|:
v ye006|1/4/11|// In Temp Yearly Lo Date:|:
v zh006|78.2|// In Temp Yesterday Hi:|:
v zt006|11:59am|// In Temp Yesterday Hi Time:|:
v zl006|69.3|// In Temp Yesterday Lo:|:
v zs006|6:28am|// In Temp Yesterday Lo Time:|:
v hv006|72.2|// In Temp 24hours ago:|:
v dv006|-0.9|// In Temp 24hour difference:|:
u ni006|&deg;F|// In Temp Units:|:
v xv007|40.8|// Out Temp:|:
v hi007|45.7|// Out Temp Daily Hi:|:
v ht007|12:00am|// Out Temp Daily Hi Time:|:
v lo007|40.3|// Out Temp Daily Lo:|:
v lt007|6:55am|// Out Temp Daily Lo Time:|:
v va007|40.7|// Out Temp Running Average:|:
v da007|42.5|// Out Temp Daily Avg:|:
v ma007|49.1|// Out Temp Month Avg:|:
v ya007|49.1|// Out Temp Year Avg:|:
v vr007|0.12|// Out Temp Rate:|:
v rh007|0.12|// Out Temp Rate Hi:|:
v rt007|7:52am|// Out Temp Rate Hi Time:|:
v rl007|-1.64|// Out Temp Rate Lo:|:
v rs007|12:52am|// Out Temp Rate Lo Time:|:
v mh007|72.5|// Out Temp Monthly Hi:|:
v md007|1/15/11|// Out Temp Monthly Hi Date:|:
v ml007|30.9|// Out Temp Monthly Lo:|:
v me007|1/10/11|// Out Temp Monthly Lo Date:|:
v yh007|72.5|// Out Temp Yearly Hi:|:
v yd007|1/15/11|// Out Temp Yearly Hi Date:|:
v yl007|30.9|// Out Temp Yearly Lo:|:
v ye007|1/10/11|// Out Temp Yearly Lo Date:|:
v zh007|70.9|// Out Temp Yesterday Hi:|:
v zt007|3:13pm|// Out Temp Yesterday Hi Time:|:
v zl007|44.1|// Out Temp Yesterday Lo:|:
v zs007|6:58am|// Out Temp Yesterday Lo Time:|:
v hv007|44.3|// Out Temp 24hours ago:|:
v dv007|-3.5|// Out Temp 24hour difference:|:
u ni007|&deg;F|// Out Temp Units:|:
v xv008|29.84|// Raw Barometer:|:
v hi008|29.84|// Raw Barometer Daily Hi:|:
v ht008|7:52am|// Raw Barometer Daily Hi Time:|:
v lo008|29.78|// Raw Barometer Daily Lo:|:
v lt008|12:00am|// Raw Barometer Daily Lo Time:|:
v va008|29.83|// Raw Barometer Running Average:|:
v da008|29.80|// Raw Barometer Daily Avg:|:
v ma008|29.74|// Raw Barometer Month Avg:|:
v ya008|29.74|// Raw Barometer Year Avg:|:
v vr008|0.014|// Raw Barometer Rate:|:
v rh008|0.020|// Raw Barometer Rate Hi:|:
v rt008|7:20am|// Raw Barometer Rate Hi Time:|:
v rl008|-0.006|// Raw Barometer Rate Lo:|:
v rs008|3:50am|// Raw Barometer Rate Lo Time:|:
v mh008|29.99|// Raw Barometer Monthly Hi:|:
v md008|1/14/11|// Raw Barometer Monthly Hi Date:|:
v ml008|29.48|// Raw Barometer Monthly Lo:|:
v me008|1/2/11|// Raw Barometer Monthly Lo Date:|:
v yh008|29.99|// Raw Barometer Yearly Hi:|:
v yd008|1/14/11|// Raw Barometer Yearly Hi Date:|:
v yl008|29.48|// Raw Barometer Yearly Lo:|:
v ye008|1/2/11|// Raw Barometer Yearly Lo Date:|:
v zh008|29.79|// Raw Barometer Yesterday Hi:|:
v zt008|11:58pm|// Raw Barometer Yesterday Hi Time:|:
v zl008|29.66|// Raw Barometer Yesterday Lo:|:
v zs008|12:44am|// Raw Barometer Yesterday Lo Time:|:
v hv008|29.72|// Raw Barometer 24hours ago:|:
v dv008|0.12|// Raw Barometer 24hour difference:|:
u ni008|in|// Raw Barometer Units:|:
v xv009|11.63|// Total Rain:|:
v hi009|11.63|// Total Rain Daily Hi:|:
v ht009|12:00am|// Total Rain Daily Hi Time:|:
v lo009|11.63|// Total Rain Daily Lo:|:
v lt009|12:00am|// Total Rain Daily Lo Time:|:
v va009|11.63|// Total Rain Running Average:|:
v da009|11.63|// Total Rain Daily Avg:|:
v ma009|11.52|// Total Rain Month Avg:|:
v ya009|11.52|// Total Rain Year Avg:|:
v vr009|0.000|// Total Rain Rate:|:
v rh009|0.000|// Total Rain Rate Hi:|:
v rt009|12:00am|// Total Rain Rate Hi Time:|:
v rl009|0.000|// Total Rain Rate Lo:|:
v rs009|12:00am|// Total Rain Rate Lo Time:|:
v mh009|11.63|// Total Rain Monthly Hi:|:
v md009|1/18/11|// Total Rain Monthly Hi Date:|:
v ml009|10.64|// Total Rain Monthly Lo:|:
v me009|1/1/11|// Total Rain Monthly Lo Date:|:
v yh009|11.63|// Total Rain Yearly Hi:|:
v yd009|1/18/11|// Total Rain Yearly Hi Date:|:
v yl009|10.64|// Total Rain Yearly Lo:|:
v ye009|1/1/11|// Total Rain Yearly Lo Date:|:
v zh009|11.63|// Total Rain Yesterday Hi:|:
v zt009|12:00am|// Total Rain Yesterday Hi Time:|:
v zl009|11.63|// Total Rain Yesterday Lo:|:
v zs009|12:00am|// Total Rain Yesterday Lo Time:|:
v hv009|11.63|// Total Rain 24hours ago:|:
v dv009|0.00|// Total Rain 24hour difference:|:
u ni009|in|// Total Rain Units:|:
v xv010|0.0|// Ch 1 Temp:|:
v hi010|0.0|// Ch 1 Temp Daily Hi:|:
v ht010|12:00am|// Ch 1 Temp Daily Hi Time:|:
v lo010|0.0|// Ch 1 Temp Daily Lo:|:
v lt010|12:00am|// Ch 1 Temp Daily Lo Time:|:
v va010|0.0|// Ch 1 Temp Running Average:|:
v da010|0.0|// Ch 1 Temp Daily Avg:|:
v ma010|0.0|// Ch 1 Temp Month Avg:|:
v ya010|0.0|// Ch 1 Temp Year Avg:|:
v vr010|0.00|// Ch 1 Temp Rate:|:
v rh010|0.00|// Ch 1 Temp Rate Hi:|:
v rt010|12:00am|// Ch 1 Temp Rate Hi Time:|:
v rl010|0.00|// Ch 1 Temp Rate Lo:|:
v rs010|12:00am|// Ch 1 Temp Rate Lo Time:|:
v mh010|0.0|// Ch 1 Temp Monthly Hi:|:
v md010|1/1/11|// Ch 1 Temp Monthly Hi Date:|:
v ml010|0.0|// Ch 1 Temp Monthly Lo:|:
v me010|1/1/11|// Ch 1 Temp Monthly Lo Date:|:
v yh010|0.0|// Ch 1 Temp Yearly Hi:|:
v yd010|1/1/11|// Ch 1 Temp Yearly Hi Date:|:
v yl010|0.0|// Ch 1 Temp Yearly Lo:|:
v ye010|1/1/11|// Ch 1 Temp Yearly Lo Date:|:
v zh010|0.0|// Ch 1 Temp Yesterday Hi:|:
v zt010|12:00am|// Ch 1 Temp Yesterday Hi Time:|:
v zl010|0.0|// Ch 1 Temp Yesterday Lo:|:
v zs010|12:00am|// Ch 1 Temp Yesterday Lo Time:|:
v hv010|0.0|// Ch 1 Temp 24hours ago:|:
v dv010|0.0|// Ch 1 Temp 24hour difference:|:
u ni010|&deg;F|// Ch 1 Temp Units:|:
v xv011|0|// Ch 1 Humidity:|:
v hi011|0|// Ch 1 Humidity Daily Hi:|:
v ht011|12:00am|// Ch 1 Humidity Daily Hi Time:|:
v lo011|0|// Ch 1 Humidity Daily Lo:|:
v lt011|12:00am|// Ch 1 Humidity Daily Lo Time:|:
v va011|0|// Ch 1 Humidity Running Average:|:
v da011|0|// Ch 1 Humidity Daily Avg:|:
v ma011|0|// Ch 1 Humidity Month Avg:|:
v ya011|0|// Ch 1 Humidity Year Avg:|:
v vr011|0.0|// Ch 1 Humidity Rate:|:
v rh011|0.0|// Ch 1 Humidity Rate Hi:|:
v rt011|12:00am|// Ch 1 Humidity Rate Hi Time:|:
v rl011|0.0|// Ch 1 Humidity Rate Lo:|:
v rs011|12:00am|// Ch 1 Humidity Rate Lo Time:|:
v mh011|0|// Ch 1 Humidity Monthly Hi:|:
v md011|1/1/11|// Ch 1 Humidity Monthly Hi Date:|:
v ml011|0|// Ch 1 Humidity Monthly Lo:|:
v me011|1/1/11|// Ch 1 Humidity Monthly Lo Date:|:
v yh011|0|// Ch 1 Humidity Yearly Hi:|:
v yd011|1/1/11|// Ch 1 Humidity Yearly Hi Date:|:
v yl011|0|// Ch 1 Humidity Yearly Lo:|:
v ye011|1/1/11|// Ch 1 Humidity Yearly Lo Date:|:
v zh011|0|// Ch 1 Humidity Yesterday Hi:|:
v zt011|12:00am|// Ch 1 Humidity Yesterday Hi Time:|:
v zl011|0|// Ch 1 Humidity Yesterday Lo:|:
v zs011|12:00am|// Ch 1 Humidity Yesterday Lo Time:|:
v hv011|0|// Ch 1 Humidity 24hours ago:|:
v dv011|0|// Ch 1 Humidity 24hour difference:|:
u ni011|%|// Ch 1 Humidity Units:|:
v xv012|0.0|// Ch 2 Temp:|:
v hi012|0.0|// Ch 2 Temp Daily Hi:|:
v ht012|12:00am|// Ch 2 Temp Daily Hi Time:|:
v lo012|0.0|// Ch 2 Temp Daily Lo:|:
v lt012|12:00am|// Ch 2 Temp Daily Lo Time:|:
v va012|0.0|// Ch 2 Temp Running Average:|:
v da012|0.0|// Ch 2 Temp Daily Avg:|:
v ma012|0.0|// Ch 2 Temp Month Avg:|:
v ya012|0.0|// Ch 2 Temp Year Avg:|:
v vr012|0.00|// Ch 2 Temp Rate:|:
v rh012|0.00|// Ch 2 Temp Rate Hi:|:
v rt012|12:00am|// Ch 2 Temp Rate Hi Time:|:
v rl012|0.00|// Ch 2 Temp Rate Lo:|:
v rs012|12:00am|// Ch 2 Temp Rate Lo Time:|:
v mh012|0.0|// Ch 2 Temp Monthly Hi:|:
v md012|1/1/11|// Ch 2 Temp Monthly Hi Date:|:
v ml012|0.0|// Ch 2 Temp Monthly Lo:|:
v me012|1/1/11|// Ch 2 Temp Monthly Lo Date:|:
v yh012|0.0|// Ch 2 Temp Yearly Hi:|:
v yd012|1/1/11|// Ch 2 Temp Yearly Hi Date:|:
v yl012|0.0|// Ch 2 Temp Yearly Lo:|:
v ye012|1/1/11|// Ch 2 Temp Yearly Lo Date:|:
v zh012|0.0|// Ch 2 Temp Yesterday Hi:|:
v zt012|12:00am|// Ch 2 Temp Yesterday Hi Time:|:
v zl012|0.0|// Ch 2 Temp Yesterday Lo:|:
v zs012|12:00am|// Ch 2 Temp Yesterday Lo Time:|:
v hv012|0.0|// Ch 2 Temp 24hours ago:|:
v dv012|0.0|// Ch 2 Temp 24hour difference:|:
u ni012|&deg;F|// Ch 2 Temp Units:|:
v xv013|0|// Ch2 Humidity:|:
v hi013|0|// Ch2 Humidity Daily Hi:|:
v ht013|12:00am|// Ch2 Humidity Daily Hi Time:|:
v lo013|0|// Ch2 Humidity Daily Lo:|:
v lt013|12:00am|// Ch2 Humidity Daily Lo Time:|:
v va013|0|// Ch2 Humidity Running Average:|:
v da013|0|// Ch2 Humidity Daily Avg:|:
v ma013|0|// Ch2 Humidity Month Avg:|:
v ya013|0|// Ch2 Humidity Year Avg:|:
v vr013|0.0|// Ch2 Humidity Rate:|:
v rh013|0.0|// Ch2 Humidity Rate Hi:|:
v rt013|12:00am|// Ch2 Humidity Rate Hi Time:|:
v rl013|0.0|// Ch2 Humidity Rate Lo:|:
v rs013|12:00am|// Ch2 Humidity Rate Lo Time:|:
v mh013|0|// Ch2 Humidity Monthly Hi:|:
v md013|1/1/11|// Ch2 Humidity Monthly Hi Date:|:
v ml013|0|// Ch2 Humidity Monthly Lo:|:
v me013|1/1/11|// Ch2 Humidity Monthly Lo Date:|:
v yh013|0|// Ch2 Humidity Yearly Hi:|:
v yd013|1/1/11|// Ch2 Humidity Yearly Hi Date:|:
v yl013|0|// Ch2 Humidity Yearly Lo:|:
v ye013|1/1/11|// Ch2 Humidity Yearly Lo Date:|:
v zh013|0|// Ch2 Humidity Yesterday Hi:|:
v zt013|12:00am|// Ch2 Humidity Yesterday Hi Time:|:
v zl013|0|// Ch2 Humidity Yesterday Lo:|:
v zs013|12:00am|// Ch2 Humidity Yesterday Lo Time:|:
v hv013|0|// Ch2 Humidity 24hours ago:|:
v dv013|0|// Ch2 Humidity 24hour difference:|:
u ni013|%|// Ch2 Humidity Units:|:
v xv014|0.0|// Ch 3 Temp:|:
v hi014|0.0|// Ch 3 Temp Daily Hi:|:
v ht014|12:00am|// Ch 3 Temp Daily Hi Time:|:
v lo014|0.0|// Ch 3 Temp Daily Lo:|:
v lt014|12:00am|// Ch 3 Temp Daily Lo Time:|:
v va014|0.0|// Ch 3 Temp Running Average:|:
v da014|0.0|// Ch 3 Temp Daily Avg:|:
v ma014|0.0|// Ch 3 Temp Month Avg:|:
v ya014|0.0|// Ch 3 Temp Year Avg:|:
v vr014|0.00|// Ch 3 Temp Rate:|:
v rh014|0.00|// Ch 3 Temp Rate Hi:|:
v rt014|12:00am|// Ch 3 Temp Rate Hi Time:|:
v rl014|0.00|// Ch 3 Temp Rate Lo:|:
v rs014|12:00am|// Ch 3 Temp Rate Lo Time:|:
v mh014|0.0|// Ch 3 Temp Monthly Hi:|:
v md014|1/1/11|// Ch 3 Temp Monthly Hi Date:|:
v ml014|0.0|// Ch 3 Temp Monthly Lo:|:
v me014|1/1/11|// Ch 3 Temp Monthly Lo Date:|:
v yh014|0.0|// Ch 3 Temp Yearly Hi:|:
v yd014|1/1/11|// Ch 3 Temp Yearly Hi Date:|:
v yl014|0.0|// Ch 3 Temp Yearly Lo:|:
v ye014|1/1/11|// Ch 3 Temp Yearly Lo Date:|:
v zh014|0.0|// Ch 3 Temp Yesterday Hi:|:
v zt014|12:00am|// Ch 3 Temp Yesterday Hi Time:|:
v zl014|0.0|// Ch 3 Temp Yesterday Lo:|:
v zs014|12:00am|// Ch 3 Temp Yesterday Lo Time:|:
v hv014|0.0|// Ch 3 Temp 24hours ago:|:
v dv014|0.0|// Ch 3 Temp 24hour difference:|:
u ni014|&deg;F|// Ch 3 Temp Units:|:
v xv015|0|// Ch 3 Humidity:|:
v hi015|0|// Ch 3 Humidity Daily Hi:|:
v ht015|12:00am|// Ch 3 Humidity Daily Hi Time:|:
v lo015|0|// Ch 3 Humidity Daily Lo:|:
v lt015|12:00am|// Ch 3 Humidity Daily Lo Time:|:
v va015|0|// Ch 3 Humidity Running Average:|:
v da015|0|// Ch 3 Humidity Daily Avg:|:
v ma015|0|// Ch 3 Humidity Month Avg:|:
v ya015|0|// Ch 3 Humidity Year Avg:|:
v vr015|0.0|// Ch 3 Humidity Rate:|:
v rh015|0.0|// Ch 3 Humidity Rate Hi:|:
v rt015|12:00am|// Ch 3 Humidity Rate Hi Time:|:
v rl015|0.0|// Ch 3 Humidity Rate Lo:|:
v rs015|12:00am|// Ch 3 Humidity Rate Lo Time:|:
v mh015|0|// Ch 3 Humidity Monthly Hi:|:
v md015|1/1/11|// Ch 3 Humidity Monthly Hi Date:|:
v ml015|0|// Ch 3 Humidity Monthly Lo:|:
v me015|1/1/11|// Ch 3 Humidity Monthly Lo Date:|:
v yh015|0|// Ch 3 Humidity Yearly Hi:|:
v yd015|1/1/11|// Ch 3 Humidity Yearly Hi Date:|:
v yl015|0|// Ch 3 Humidity Yearly Lo:|:
v ye015|1/1/11|// Ch 3 Humidity Yearly Lo Date:|:
v zh015|0|// Ch 3 Humidity Yesterday Hi:|:
v zt015|12:00am|// Ch 3 Humidity Yesterday Hi Time:|:
v zl015|0|// Ch 3 Humidity Yesterday Lo:|:
v zs015|12:00am|// Ch 3 Humidity Yesterday Lo Time:|:
v hv015|0|// Ch 3 Humidity 24hours ago:|:
v dv015|0|// Ch 3 Humidity 24hour difference:|:
u ni015|%|// Ch 3 Humidity Units:|:
v xv016|0.00|// Evapotranspiration:|:
v hi016|0.09|// Evapotranspiration Daily Hi:|:
v ht016|12:00am|// Evapotranspiration Daily Hi Time:|:
v lo016|0.00|// Evapotranspiration Daily Lo:|:
v lt016|12:00am|// Evapotranspiration Daily Lo Time:|:
v va016|0.00|// Evapotranspiration Running Average:|:
v da016|0.00|// Evapotranspiration Daily Avg:|:
v ma016|0.02|// Evapotranspiration Month Avg:|:
v ya016|0.02|// Evapotranspiration Year Avg:|:
v vr016|-0.000|// Evapotranspiration Rate:|:
v rh016|0.001|// Evapotranspiration Rate Hi:|:
v rt016|12:00am|// Evapotranspiration Rate Hi Time:|:
v rl016|-0.087|// Evapotranspiration Rate Lo:|:
v rs016|12:00am|// Evapotranspiration Rate Lo Time:|:
v mh016|0.09|// Evapotranspiration Monthly Hi:|:
v md016|1/23/11|// Evapotranspiration Monthly Hi Date:|:
v ml016|0.00|// Evapotranspiration Monthly Lo:|:
v me016|1/1/11|// Evapotranspiration Monthly Lo Date:|:
v yh016|0.09|// Evapotranspiration Yearly Hi:|:
v yd016|1/23/11|// Evapotranspiration Yearly Hi Date:|:
v yl016|0.00|// Evapotranspiration Yearly Lo:|:
v ye016|1/1/11|// Evapotranspiration Yearly Lo Date:|:
v zh016|0.09|// Evapotranspiration Yesterday Hi:|:
v zt016|12:00am|// Evapotranspiration Yesterday Hi Time:|:
v zl016|0.00|// Evapotranspiration Yesterday Lo:|:
v zs016|12:00am|// Evapotranspiration Yesterday Lo Time:|:
v hv016|0.01|// Evapotranspiration 24hours ago:|:
v dv016|-0.01|// Evapotranspiration 24hour difference:|:
u ni016|in|// Evapotranspiration Units:|:
v xv017|0.0|// UV Index:|:
v hi017|0.0|// UV Index Daily Hi:|:
v ht017|12:00am|// UV Index Daily Hi Time:|:
v lo017|0.0|// UV Index Daily Lo:|:
v lt017|12:00am|// UV Index Daily Lo Time:|:
v va017|0.0|// UV Index Running Average:|:
v da017|0.0|// UV Index Daily Avg:|:
v ma017|0.4|// UV Index Month Avg:|:
v ya017|0.4|// UV Index Year Avg:|:
v vr017|-0.00|// UV Index Rate:|:
v rh017|-0.00|// UV Index Rate Hi:|:
v rt017|7:56am|// UV Index Rate Hi Time:|:
v rl017|-0.00|// UV Index Rate Lo:|:
v rs017|12:00am|// UV Index Rate Lo Time:|:
v mh017|3.8|// UV Index Monthly Hi:|:
v md017|1/24/11|// UV Index Monthly Hi Date:|:
v ml017|0.0|// UV Index Monthly Lo:|:
v me017|1/1/11|// UV Index Monthly Lo Date:|:
v yh017|3.8|// UV Index Yearly Hi:|:
v yd017|1/24/11|// UV Index Yearly Hi Date:|:
v yl017|0.0|// UV Index Yearly Lo:|:
v ye017|1/1/11|// UV Index Yearly Lo Date:|:
v zh017|3.3|// UV Index Yesterday Hi:|:
v zt017|12:19pm|// UV Index Yesterday Hi Time:|:
v zl017|0.0|// UV Index Yesterday Lo:|:
v zs017|12:00am|// UV Index Yesterday Lo Time:|:
v hv017|0.0|// UV Index 24hours ago:|:
v dv017|0.0|// UV Index 24hour difference:|:
u ni017||// UV Index Units:|:
v xv018|53|// Solar Radiation:|:
v hi018|53|// Solar Radiation Daily Hi:|:
v ht018|7:52am|// Solar Radiation Daily Hi Time:|:
v lo018|0|// Solar Radiation Daily Lo:|:
v lt018|12:00am|// Solar Radiation Daily Lo Time:|:
v va018|10|// Solar Radiation Running Average:|:
v da018|2|// Solar Radiation Daily Avg:|:
v ma018|99|// Solar Radiation Month Avg:|:
v ya018|99|// Solar Radiation Year Avg:|:
v vr018|43.0|// Solar Radiation Rate:|:
v rh018|45.6|// Solar Radiation Rate Hi:|:
v rt018|7:52am|// Solar Radiation Rate Hi Time:|:
v rl018|-0.2|// Solar Radiation Rate Lo:|:
v rs018|12:00am|// Solar Radiation Rate Lo Time:|:
v mh018|651|// Solar Radiation Monthly Hi:|:
v md018|1/23/11|// Solar Radiation Monthly Hi Date:|:
v ml018|0|// Solar Radiation Monthly Lo:|:
v me018|1/1/11|// Solar Radiation Monthly Lo Date:|:
v yh018|651|// Solar Radiation Yearly Hi:|:
v yd018|1/23/11|// Solar Radiation Yearly Hi Date:|:
v yl018|0|// Solar Radiation Yearly Lo:|:
v ye018|1/1/11|// Solar Radiation Yearly Lo Date:|:
v zh018|561|// Solar Radiation Yesterday Hi:|:
v zt018|12:20pm|// Solar Radiation Yesterday Hi Time:|:
v zl018|0|// Solar Radiation Yesterday Lo:|:
v zs018|12:00am|// Solar Radiation Yesterday Lo Time:|:
v hv018|58|// Solar Radiation 24hours ago:|:
v dv018|-5|// Solar Radiation 24hour difference:|:
u ni018|W/sqm|// Solar Radiation Units:|:
v xv019|40.8|// Wind Chill:|:
v hi019|45.7|// Wind Chill Daily Hi:|:
v ht019|12:00am|// Wind Chill Daily Hi Time:|:
v lo019|40.3|// Wind Chill Daily Lo:|:
v lt019|6:55am|// Wind Chill Daily Lo Time:|:
v va019|40.7|// Wind Chill Running Average:|:
v da019|42.5|// Wind Chill Daily Avg:|:
v ma019|49.0|// Wind Chill Month Avg:|:
v ya019|49.0|// Wind Chill Year Avg:|:
v vr019|0.12|// Wind Chill Rate:|:
v rh019|0.12|// Wind Chill Rate Hi:|:
v rt019|7:52am|// Wind Chill Rate Hi Time:|:
v rl019|-1.64|// Wind Chill Rate Lo:|:
v rs019|12:52am|// Wind Chill Rate Lo Time:|:
v mh019|72.5|// Wind Chill Monthly Hi:|:
v md019|1/15/11|// Wind Chill Monthly Hi Date:|:
v ml019|30.0|// Wind Chill Monthly Lo:|:
v me019|1/10/11|// Wind Chill Monthly Lo Date:|:
v yh019|72.5|// Wind Chill Yearly Hi:|:
v yd019|1/15/11|// Wind Chill Yearly Hi Date:|:
v yl019|30.0|// Wind Chill Yearly Lo:|:
v ye019|1/10/11|// Wind Chill Yearly Lo Date:|:
v zh019|70.9|// Wind Chill Yesterday Hi:|:
v zt019|3:13pm|// Wind Chill Yesterday Hi Time:|:
v zl019|44.1|// Wind Chill Yesterday Lo:|:
v zs019|6:58am|// Wind Chill Yesterday Lo Time:|:
v hv019|44.3|// Wind Chill 24hours ago:|:
v dv019|-3.5|// Wind Chill 24hour difference:|:
u ni019|&deg;F|// Wind Chill Units:|:
v xv020|71.1|// In Heat Ix:|:
v hi020|73.3|// In Heat Ix Daily Hi:|:
v ht020|12:00am|// In Heat Ix Daily Hi Time:|:
v lo020|67.6|// In Heat Ix Daily Lo:|:
v lt020|7:13am|// In Heat Ix Daily Lo Time:|:
v va020|68.8|// In Heat Ix Running Average:|:
v da020|69.8|// In Heat Ix Daily Avg:|:
v ma020|71.5|// In Heat Ix Month Avg:|:
v ya020|71.5|// In Heat Ix Year Avg:|:
v vr020|2.30|// In Heat Ix Rate:|:
v rh020|2.31|// In Heat Ix Rate Hi:|:
v rt020|7:56am|// In Heat Ix Rate Hi Time:|:
v rl020|-1.44|// In Heat Ix Rate Lo:|:
v rs020|12:44am|// In Heat Ix Rate Lo Time:|:
v mh020|79.0|// In Heat Ix Monthly Hi:|:
v md020|1/25/11|// In Heat Ix Monthly Hi Date:|:
v ml020|62.6|// In Heat Ix Monthly Lo:|:
v me020|1/10/11|// In Heat Ix Monthly Lo Date:|:
v yh020|79.0|// In Heat Ix Yearly Hi:|:
v yd020|1/25/11|// In Heat Ix Yearly Hi Date:|:
v yl020|62.6|// In Heat Ix Yearly Lo:|:
v ye020|1/10/11|// In Heat Ix Yearly Lo Date:|:
v zh020|77.7|// In Heat Ix Yesterday Hi:|:
v zt020|12:22pm|// In Heat Ix Yesterday Hi Time:|:
v zl020|68.7|// In Heat Ix Yesterday Lo:|:
v zs020|7:18am|// In Heat Ix Yesterday Lo Time:|:
v hv020|71.9|// In Heat Ix 24hours ago:|:
v dv020|-1.1|// In Heat Ix 24hour difference:|:
u ni020|&deg;F|// In Heat Ix Units:|:
v xv021|46.1|// Out Heat Ix:|:
v hi021|49.8|// Out Heat Ix Daily Hi:|:
v ht021|12:00am|// Out Heat Ix Daily Hi Time:|:
v lo021|45.4|// Out Heat Ix Daily Lo:|:
v lt021|6:55am|// Out Heat Ix Daily Lo Time:|:
v va021|45.8|// Out Heat Ix Running Average:|:
v da021|47.2|// Out Heat Ix Daily Avg:|:
v ma021|53.2|// Out Heat Ix Month Avg:|:
v ya021|53.2|// Out Heat Ix Year Avg:|:
v vr021|0.32|// Out Heat Ix Rate:|:
v rh021|0.33|// Out Heat Ix Rate Hi:|:
v rt021|7:52am|// Out Heat Ix Rate Hi Time:|:
v rl021|-1.57|// Out Heat Ix Rate Lo:|:
v rs021|12:03am|// Out Heat Ix Rate Lo Time:|:
v mh021|72.7|// Out Heat Ix Monthly Hi:|:
v md021|1/15/11|// Out Heat Ix Monthly Hi Date:|:
v ml021|36.5|// Out Heat Ix Monthly Lo:|:
v me021|1/10/11|// Out Heat Ix Monthly Lo Date:|:
v yh021|72.7|// Out Heat Ix Yearly Hi:|:
v yd021|1/15/11|// Out Heat Ix Yearly Hi Date:|:
v yl021|36.5|// Out Heat Ix Yearly Lo:|:
v ye021|1/10/11|// Out Heat Ix Yearly Lo Date:|:
v zh021|70.7|// Out Heat Ix Yesterday Hi:|:
v zt021|3:21pm|// Out Heat Ix Yesterday Hi Time:|:
v zl021|48.3|// Out Heat Ix Yesterday Lo:|:
v zs021|5:31am|// Out Heat Ix Yesterday Lo Time:|:
v hv021|48.9|// Out Heat Ix 24hours ago:|:
v dv021|-2.8|// Out Heat Ix 24hour difference:|:
u ni021|&deg;F|// Out Heat Ix Units:|:
v xv022|37.5|// Dew Point:|:
v hi022|39.7|// Dew Point Daily Hi:|:
v ht022|12:12am|// Dew Point Daily Hi Time:|:
v lo022|36.5|// Dew Point Daily Lo:|:
v lt022|6:55am|// Dew Point Daily Lo Time:|:
v va022|37.0|// Dew Point Running Average:|:
v da022|37.8|// Dew Point Daily Avg:|:
v ma022|41.3|// Dew Point Month Avg:|:
v ya022|41.3|// Dew Point Year Avg:|:
v vr022|0.52|// Dew Point Rate:|:
v rh022|0.55|// Dew Point Rate Hi:|:
v rt022|7:52am|// Dew Point Rate Hi Time:|:
v rl022|-1.46|// Dew Point Rate Lo:|:
v rs022|12:03am|// Dew Point Rate Lo Time:|:
v mh022|57.0|// Dew Point Monthly Hi:|:
v md022|1/13/11|// Dew Point Monthly Hi Date:|:
v ml022|26.2|// Dew Point Monthly Lo:|:
v me022|1/10/11|// Dew Point Monthly Lo Date:|:
v yh022|57.0|// Dew Point Yearly Hi:|:
v yd022|1/13/11|// Dew Point Yearly Hi Date:|:
v yl022|26.2|// Dew Point Yearly Lo:|:
v ye022|1/10/11|// Dew Point Yearly Lo Date:|:
v zh022|47.3|// Dew Point Yesterday Hi:|:
v zt022|6:12pm|// Dew Point Yesterday Hi Time:|:
v zl022|36.3|// Dew Point Yesterday Lo:|:
v zs022|12:01am|// Dew Point Yesterday Lo Time:|:
v hv022|39.5|// Dew Point 24hours ago:|:
v dv022|-1.9|// Dew Point 24hour difference:|:
u ni022|&deg;F|// Dew Point Units:|:
v xv023|30.27|// SL Barometer:|:
v hi023|30.27|// SL Barometer Daily Hi:|:
v ht023|7:52am|// SL Barometer Daily Hi Time:|:
v lo023|30.21|// SL Barometer Daily Lo:|:
v lt023|12:00am|// SL Barometer Daily Lo Time:|:
v va023|30.25|// SL Barometer Running Average:|:
v da023|30.23|// SL Barometer Daily Avg:|:
v ma023|30.17|// SL Barometer Month Avg:|:
v ya023|30.17|// SL Barometer Year Avg:|:
v vr023|0.015|// SL Barometer Rate:|:
v rh023|0.020|// SL Barometer Rate Hi:|:
v rt023|7:20am|// SL Barometer Rate Hi Time:|:
v rl023|-0.006|// SL Barometer Rate Lo:|:
v rs023|3:50am|// SL Barometer Rate Lo Time:|:
v mh023|30.42|// SL Barometer Monthly Hi:|:
v md023|1/14/11|// SL Barometer Monthly Hi Date:|:
v ml023|29.90|// SL Barometer Monthly Lo:|:
v me023|1/2/11|// SL Barometer Monthly Lo Date:|:
v yh023|30.42|// SL Barometer Yearly Hi:|:
v yd023|1/14/11|// SL Barometer Yearly Hi Date:|:
v yl023|29.90|// SL Barometer Yearly Lo:|:
v ye023|1/2/11|// SL Barometer Yearly Lo Date:|:
v zh023|30.21|// SL Barometer Yesterday Hi:|:
v zt023|11:58pm|// SL Barometer Yesterday Hi Time:|:
v zl023|30.09|// SL Barometer Yesterday Lo:|:
v zs023|12:44am|// SL Barometer Yesterday Lo Time:|:
v hv023|30.15|// SL Barometer 24hours ago:|:
v dv023|0.12|// SL Barometer 24hour difference:|:
u ni023|in|// SL Barometer Units:|:
v xv024|74|// Pressure Altitude:|:
u ni024|ft|// Pressure Altitude Units:|:
v xv025|818|// Cloud Base:|:
u ni025|ft|// Cloud Base Units:|:
v xv026|-1114|// Density Altitude:|:
u ni026|ft|// Density Altitude Units:|:
v xv027|42.2|// Virtual Temperature:|:
u ni027|&deg;F|// Virtual Temperature Units:|:
v xv028|0.22|// Vapor Press:|:
u ni028|in|// Vapor Press Units:|:
v xv121|0.00|// Daily Rain:|:
u ni121|in|// Daily Rain Units:|:
v xv122|0.00|// Hourly Rain:|:
u ni122|in|// Hourly Rain Units:|:
v xv123|0.00|// 24 Hour Rain:|:
u ni123|in|// 24 Hour Rain Units:|:
v xv124|0.000|// Rain Rate:|:
u ni124|in/hr|// Rain Rate Units:|:
v xv125|0|// Wind Run:|:
u ni125|miles|// Wind Run Units:|:
v xv126|7.5|// Degrees Heating:|:
u ni126|&deg;F|// Degrees Heating Units:|:
v xv127|0.0|// Degrees Cooling:|:
u ni127|&deg;F|// Degrees Cooling Units:|:
v xv128|23|// Moon Phase:|:
u ni128||// Moon Phase Units:|:
v xv129|0.99|// Monthly Rain:|:
u ni129|in|// Monthly Rain Units:|:
v xv130|422.9|// Deg Heating Month:|:
u ni130|&deg;F|// Deg Heating Month Units:|:
v xv131|5.9|// Deg Cooling Month:|:
u ni131|&deg;F|// Deg Cooling Month Units:|:
v xv132|253|// Wind Run Month:|:
u ni132|miles|// Wind Run Month Units:|:
v xv133|422.9|// Deg Heating Year:|:
u ni133|&deg;F|// Deg Heating Year Units:|:
v xv134|5.9|// Deg Cooling Year:|:
u ni134|&deg;F|// Deg Cooling Year Units:|:
v xv135|253|// Wind Run Year:|:
u ni135|miles|// Wind Run Year Units:|:
v st136|---|// Heat Stress:|:
u ni136||// Heat Stress Units:|:
v st137|Cool|// Comfort Level:|:
u ni137||// Comfort Level Units:|:
v st138|This is bogus data. Make sure VWS is uploading your VWStags.htx to replace this VWStags.php file.|// Forecast:|:
u ni138||// Forecast Units:|:
v st139|Steady|// Barometric Trend:|:
u ni139||// Barometric Trend Units:|:
v st140|Steady|// Pressure Trend:|:
u ni140||// Pressure Trend Units:|:
v st141|Calm|// Beaufort Scale:|:
u ni141||// Beaufort Scale Units:|:
v st142|1/27/11|// Date:|:
u ni142||// Date Units:|:
v st143|7:56am|// Time:|:
u ni143||// Time Units:|:
v st144|7:13am|// Sunrise:|:
u ni144||// Sunrise Units:|:
v st145|5:25pm|// Sunset:|:
u ni145||// Sunset Units:|:
v st146|1:49am|// Moonrise:|:
u ni146||// Moonrise Units:|:
v st147|11:51am|// Moonset:|:
u ni147||// Moonset Units:|:
v st148|North West|// Windspeed Verbose:|:
u ni148||// Windspeed Verbose Units:|:
m oon_percent|41%|// Moon Percent:|:
m oon_day|24|// Moon Day:|:
v ervws|V14.01|// Version No.:|:
w station|Davis Instruments Vantage Pro2|// Weather Station
w sdescription|This is bogus data. Make sure VWS is uploading your VWStags.htx to replace this VWStags.php file.|// Station Description:|:
w slocation|Saratoga, CA 95070|// Station Location:|:
w staturl|http://www.ambientweather.com/dawest.html|// Weather Station URL:|:
w slong|-122.0229492|// Station Longitude:|:
w slat|37.2746506|// Station Latitude:|:
w orld_id|pa|// World Location:|:
t emp_color|53d3ff|// Temp Color:|:
t emp_color_hi|53d3c0|// Temp Color Hi:|:
t emp_color_lo|53d3ff|// Temp Color Lo:|:
m tr001KSJC|KSJC|// METAR Identifier:|:
m tr002KSJC|San Jose|// METAR Site:|:
m tr003KSJC|01/27/2011 06:53am|// UTC Update:|:
m tr004KSJC|42.8|// Temperature:|:
m tr005KSJC|37.4|// Dew Point:|:
m tr006KSJC|81|// % Relative Humidity:|:
m tr007KSJC|30.25|// Pressure:|:
m tr008KSJC|ESE|// Wind Direction:|:
m tr009KSJC|3|// Wind Speed:|:
m tr010KSJC|3|// Wind Gust:|:
m tr011KSJC|10|// Visibility:|:
m tr012KSJC|5.5|// Cloud Height:|:
m tr013KSJC|Few Clouds|// Sky:|:
m tr014KSJC||// Weather:|:
m tr015KSJC|---|// Rain/hr:|:
m tr016KSJC|42.8|// Wind Chill:|:
m tr017KSJC|47.2|// Heat Index:|:
a lmhi1|76|// Record Hi Station 1:|:
a lmdatehi1|1988|// Record Hi Date Station 1:|:
a lmlo1|27|// Record Lo Station 1:|:
a lmdatelo1|1902|// Record Lo Date Station 1:|:
a lmnormlo1|43|// Norm Lo Station 1:|:
a lmytd1|0.32|// YTD Precip Station 1:|:
a lmmtd1|0.32|// MTD Precip Station 1:|:
t emp_rec_hi1|ffff53|// Record Hi Color Station 1:|:
t emp_rec_lo1|7953ff|// Record Lo Color Station 1:|:
t emp_norm_hi1|53ff53|// Normal Hi Color Station 1:|:
t emp_norm_lo1|53d3ff|// Normal Lo Color Station 1:|:
c limate_cconds1|Partly Cloudy

|// Current Conditions Station 1:|:
c limate_icon1|partlycloudy|// Current Icon Station 1:|:
c limate_city1|Palo Alto|// City Station 1:|:
c limate_state1|California|// State Station 1:|:
a lmhi2|76|// Record Hi Station 2:|:
a lmdatehi2|1988|// Record Hi Date Station 2:|:
a lmlo2|27|// Record Lo Station 2:|:
a lmdatelo2|1902|// Record Lo Date Station 2:|:
a lmnormlo2|43|// Norm Lo Station 2:|:
a lmytd2|0.32|// YTD Precip Station 2:|:
a lmmtd2|0.32|// MTD Precip Station 2:|:
t emp_rec_hi2|ffff53|// Record Hi Color Station 2:|:
t emp_rec_lo2|7953ff|// Record Lo Color Station 2:|:
t emp_norm_hi2|53ff53|// Normal Hi Color Station 2:|:
t emp_norm_lo2|53d3ff|// Normal Lo Color Station 2:|:
c limate_cconds2||// Current Conditions Station 2:|:
c limate_icon2||// Current Icon Station 2:|:
c limate_city2|Palo Alto|// City Station 2:|:
c limate_state2|California|// State Station 2:|:
a lmhi3|0|// Record Hi Station 3:|:
a lmdatehi3|0|// Record Hi Date Station 3:|:
a lmlo3|0|// Record Lo Station 3:|:
a lmdatelo3|0|// Record Lo Date Station 3:|:
a lmnormlo3|0|// Norm Lo Station 3:|:
a lmytd3|0.00|// YTD Precip Station 3:|:
a lmmtd3|0.00|// MTD Precip Station 3:|:
t emp_rec_hi3|ffffff|// Record Hi Color Station 3:|:
t emp_rec_lo3|ffffff|// Record Lo Color Station 3:|:
t emp_norm_hi3|ffffff|// Normal Hi Color Station 3:|:
t emp_norm_lo3|ffffff|// Normal Lo Color Station 3:|:
c limate_cconds3||// Current Conditions Station 3:|:
c limate_icon3||// Current Icon Station 3:|:
c limate_city3||// City Station 3:|:
c limate_state3||// State Station 3:|:
a lmhi4|0|// Record Hi Station 4:|:
a lmdatehi4|0|// Record Hi Date Station 4:|:
a lmlo4|0|// Record Lo Station 4:|:
a lmdatelo4|0|// Record Lo Date Station 4:|:
a lmnormlo4|0|// Norm Lo Station 4:|:
a lmytd4|0.00|// YTD Precip Station 4:|:
a lmmtd4|0.00|// MTD Precip Station 4:|:
t emp_rec_hi4|ffffff|// Record Hi Color Station 4:|:
t emp_rec_lo4|ffffff|// Record Lo Color Station 4:|:
t emp_norm_hi4|ffffff|// Normal Hi Color Station 4:|:
t emp_norm_lo4|ffffff|// Normal Lo Color Station 4:|:
c limate_cconds4||// Current Conditions Station 4:|:
c limate_icon4||// Current Icon Station 4:|:
c limate_city4||// City Station 4:|:
c limate_state4||// State Station 4:|:
a lmhi5|0|// Record Hi Station 5:|:
a lmdatehi5|0|// Record Hi Date Station 5:|:
a lmlo5|0|// Record Lo Station 5:|:
a lmdatelo5|0|// Record Lo Date Station 5:|:
a lmnormlo5|0|// Norm Lo Station 5:|:
a lmytd5|0.00|// YTD Precip Station 5:|:
a lmmtd5|0.00|// MTD Precip Station 5:|:
t emp_rec_hi5|ffffff|// Record Hi Color Station 5:|:
t emp_rec_lo5|ffffff|// Record Lo Color Station 5:|:
t emp_norm_hi5|ffffff|// Normal Hi Color Station 5:|:
t emp_norm_lo5|ffffff|// Normal Lo Color Station 5:|:
c limate_cconds5||// Current Conditions Station 5:|:
c limate_icon5||// Current Icon Station 5:|:
c limate_city5||// City Station 5:|:
c limate_state5||// State Station 5:|:
a lmhi6|0|// Record Hi Station 6:|:
a lmdatehi6|0|// Record Hi Date Station 6:|:
a lmlo6|0|// Record Lo Station 6:|:
a lmdatelo6|0|// Record Lo Date Station 6:|:
a lmnormlo6|0|// Norm Lo Station 6:|:
a lmytd6|0.00|// YTD Precip Station 6:|:
a lmmtd6|0.00|// MTD Precip Station 6:|:
t emp_rec_hi6|ffffff|// Record Hi Color Station 6:|:
t emp_rec_lo6|ffffff|// Record Lo Color Station 6:|:
t emp_norm_hi6|ffffff|// Normal Hi Color Station 6:|:
t emp_norm_lo6|ffffff|// Normal Lo Color Station 6:|:
c limate_cconds6||// Current Conditions Station 6:|:
c limate_icon6||// Current Icon Station 6:|:
c limate_city6||// City Station 6:|:
c limate_state6||// State Station 6:|:
a lmhi7|0|// Record Hi Station 7:|:
a lmdatehi7|0|// Record Hi Date Station 7:|:
a lmlo7|0|// Record Lo Station 7:|:
a lmdatelo7|0|// Record Lo Date Station 7:|:
a lmnormlo7|0|// Norm Lo Station 7:|:
a lmytd7|0.00|// YTD Precip Station 7:|:
a lmmtd7|0.00|// MTD Precip Station 7:|:
t emp_rec_hi7|ffffff|// Record Hi Color Station 7:|:
t emp_rec_lo7|ffffff|// Record Lo Color Station 7:|:
t emp_norm_hi7|ffffff|// Normal Hi Color Station 7:|:
t emp_norm_lo7|ffffff|// Normal Lo Color Station 7:|:
c limate_cconds7||// Current Conditions Station 7:|:
c limate_icon7||// Current Icon Station 7:|:
c limate_city7||// City Station 7:|:
c limate_state7||// State Station 7:|:
a lmhi8|0|// Record Hi Station 8:|:
a lmdatehi8|0|// Record Hi Date Station 8:|:
a lmlo8|0|// Record Lo Station 8:|:
a lmdatelo8|0|// Record Lo Date Station 8:|:
a lmnormlo8|0|// Norm Lo Station 8:|:
a lmytd8|0.00|// YTD Precip Station 8:|:
a lmmtd8|0.00|// MTD Precip Station 8:|:
t emp_rec_hi8|ffffff|// Record Hi Color Station 8:|:
t emp_rec_lo8|ffffff|// Record Lo Color Station 8:|:
t emp_norm_hi8|ffffff|// Normal Hi Color Station 8:|:
t emp_norm_lo8|ffffff|// Normal Lo Color Station 8:|:
c limate_cconds8||// Current Conditions Station 8:|:
c limate_icon8||// Current Icon Station 8:|:
c limate_city8||// City Station 8:|:
c limate_state8||// State Station 8:|:
a lmhi9|0|// Record Hi Station 9:|:
a lmdatehi9|0|// Record Hi Date Station 9:|:
a lmlo9|0|// Record Lo Station 9:|:
a lmdatelo9|0|// Record Lo Date Station 9:|:
a lmnormlo9|0|// Norm Lo Station 9:|:
a lmytd9|0.00|// YTD Precip Station 9:|:
a lmmtd9|0.00|// MTD Precip Station 9:|:
t emp_rec_hi9|ffffff|// Record Hi Color Station 9:|:
t emp_rec_lo9|ffffff|// Record Lo Color Station 9:|:
t emp_norm_hi9|ffffff|// Normal Hi Color Station 9:|:
t emp_norm_lo9|ffffff|// Normal Lo Color Station 9:|:
c limate_cconds9||// Current Conditions Station 9:|:
c limate_icon9||// Current Icon Station 9:|:
c limate_city9||// City Station 9:|:
c limate_state9||// State Station 9:|:
a lmhi10|0|// Record Hi Station 10:|:
a lmdatehi10|0|// Record Hi Date Station 10:|:
a lmlo10|0|// Record Lo Station 10:|:
a lmdatelo10|0|// Record Lo Date Station 10:|:
a lmnormlo10|0|// Norm Lo Station 10:|:
a lmytd10|0.00|// YTD Precip Station 10:|:
a lmmtd10|0.00|// MTD Precip Station 10:|:
t emp_rec_hi10|ffffff|// Record Hi Color Station 10:|:
t emp_rec_lo10|ffffff|// Record Lo Color Station 10:|:
t emp_norm_hi10|ffffff|// Normal Hi Color Station 10:|:
t emp_norm_lo10|ffffff|// Normal Lo Color Station 10:|:
c limate_cconds10||// Current Conditions Station 10:|:
c limate_icon10||// Current Icon Station 10:|:
c limate_city10||// City Station 10:|:
c limate_state10||// State Station 10:|:
a lmhi11|0|// Record Hi Station 11:|:
a lmdatehi11|0|// Record Hi Date Station 11:|:
a lmlo11|0|// Record Lo Station 11:|:
a lmdatelo11|0|// Record Lo Date Station 11:|:
a lmnormlo11|0|// Norm Lo Station 11:|:
a lmytd11|0.00|// YTD Precip Station 11:|:
a lmmtd11|0.00|// MTD Precip Station 11:|:
t emp_rec_hi11|ffffff|// Record Hi Color Station 11:|:
t emp_rec_lo11|ffffff|// Record Lo Color Station 11:|:
t emp_norm_hi11|ffffff|// Normal Hi Color Station 11:|:
t emp_norm_lo11|ffffff|// Normal Lo Color Station 11:|:
c limate_cconds11||// Current Conditions Station 11:|:
c limate_icon11||// Current Icon Station 11:|:
c limate_city11||// City Station 11:|:
c limate_state11||// State Station 11:|:
a lmhi12|0|// Record Hi Station 12:|:
a lmdatehi12|0|// Record Hi Date Station 12:|:
a lmlo12|0|// Record Lo Station 12:|:
a lmdatelo12|0|// Record Lo Date Station 12:|:
a lmnormlo12|0|// Norm Lo Station 12:|:
a lmytd12|0.00|// YTD Precip Station 12:|:
a lmmtd12|0.00|// MTD Precip Station 12:|:
t emp_rec_hi12|ffffff|// Record Hi Color Station 12:|:
t emp_rec_lo12|ffffff|// Record Lo Color Station 12:|:
t emp_norm_hi12|ffffff|// Normal Hi Color Station 12:|:
t emp_norm_lo12|ffffff|// Normal Lo Color Station 12:|:
c limate_cconds12||// Current Conditions Station 12:|:
c limate_icon12||// Current Icon Station 12:|:
c limate_city12||// City Station 12:|:
c limate_state12||// State Station 12:|:
a lmhi13|0|// Record Hi Station 13:|:
a lmdatehi13|0|// Record Hi Date Station 13:|:
a lmlo13|0|// Record Lo Station 13:|:
a lmdatelo13|0|// Record Lo Date Station 13:|:
a lmnormlo13|0|// Norm Lo Station 13:|:
a lmytd13|0.00|// YTD Precip Station 13:|:
a lmmtd13|0.00|// MTD Precip Station 13:|:
t emp_rec_hi13|ffffff|// Record Hi Color Station 13:|:
t emp_rec_lo13|ffffff|// Record Lo Color Station 13:|:
t emp_norm_hi13|ffffff|// Normal Hi Color Station 13:|:
t emp_norm_lo13|ffffff|// Normal Lo Color Station 13:|:
c limate_cconds13||// Current Conditions Station 13:|:
c limate_icon13||// Current Icon Station 13:|:
c limate_city13||// City Station 13:|:
c limate_state13||// State Station 13:|:
a lmhi14|0|// Record Hi Station 14:|:
a lmdatehi14|0|// Record Hi Date Station 14:|:
a lmlo14|0|// Record Lo Station 14:|:
a lmdatelo14|0|// Record Lo Date Station 14:|:
a lmnormlo14|0|// Norm Lo Station 14:|:
a lmytd14|0.00|// YTD Precip Station 14:|:
a lmmtd14|0.00|// MTD Precip Station 14:|:
t emp_rec_hi14|ffffff|// Record Hi Color Station 14:|:
t emp_rec_lo14|ffffff|// Record Lo Color Station 14:|:
t emp_norm_hi14|ffffff|// Normal Hi Color Station 14:|:
t emp_norm_lo14|ffffff|// Normal Lo Color Station 14:|:
c limate_cconds14||// Current Conditions Station 14:|:
c limate_icon14||// Current Icon Station 14:|:
c limate_city14||// City Station 14:|:
c limate_state14||// State Station 14:|:
a lmhi15|0|// Record Hi Station 15:|:
a lmdatehi15|0|// Record Hi Date Station 15:|:
a lmlo15|0|// Record Lo Station 15:|:
a lmdatelo15|0|// Record Lo Date Station 15:|:
a lmnormlo15|0|// Norm Lo Station 15:|:
a lmytd15|0.00|// YTD Precip Station 15:|:
a lmmtd15|0.00|// MTD Precip Station 15:|:
t emp_rec_hi15|ffffff|// Record Hi Color Station 15:|:
t emp_rec_lo15|ffffff|// Record Lo Color Station 15:|:
t emp_norm_hi15|ffffff|// Normal Hi Color Station 15:|:
t emp_norm_lo15|ffffff|// Normal Lo Color Station 15:|:
c limate_cconds15||// Current Conditions Station 15:|:
c limate_icon15||// Current Icon Station 15:|:
c limate_city15||// City Station 15:|:
c limate_state15||// State Station 15:|:
f orecast_nexrad1|MUX|// Nexrad Station 1:|:
f orecast_country1|US|// Country Station 1:|:
f orecast_radregion1|c1|// Radregion Station 1:|:
f orecast_tzname1|America/Los_Angeles|// Timezone Station 1:|:
f orecast_wmo1||// WMO Station 1:|:
f orecast_day1_1|Thu|// Station 1Forecast Day 1:|:
f orecast_hi1_1|70|// Station 1 Forecast Hi Temp Day 1:|:
f orecast_lo1_1|41|// Station 1 Forecast Low Temp Day 1:|:
f orecast_conds1_1|Clear|// Station 1 Forecast Cond Day 1:|:
f orecast_icon1_1|clear|// Station 1 Forecast Icon Day 1:|:
t emp_for_hi1_1|ffff53|// Station 1 Temp Hi Color Day 1:|:
t emp_for_lo1_1|53d3ff|// Station 1 Temp Lo Color Day 1:|:
f orecast_day1_2|Fri|// Station 2Forecast Day 1:|:
f orecast_hi1_2|63|// Station 2 Forecast Hi Temp Day 1:|:
f orecast_lo1_2|40|// Station 2 Forecast Low Temp Day 1:|:
f orecast_conds1_2|Partly Cloudy|// Station 2 Forecast Cond Day 1:|:
f orecast_icon1_2|partlycloudy|// Station 2 Forecast Icon Day 1:|:
t emp_for_hi1_2|9fff53|// Station 2 Temp Hi Color Day 1:|:
t emp_for_lo1_2|53d3ff|// Station 2 Temp Lo Color Day 1:|:
f orecast_day1_3|Sat|// Station 3Forecast Day 1:|:
f orecast_hi1_3|58|// Station 3 Forecast Hi Temp Day 1:|:
f orecast_lo1_3|40|// Station 3 Forecast Low Temp Day 1:|:
f orecast_conds1_3|Partly Cloudy|// Station 3 Forecast Cond Day 1:|:
f orecast_icon1_3|partlycloudy|// Station 3 Forecast Icon Day 1:|:
t emp_for_hi1_3|53ff53|// Station 3 Temp Hi Color Day 1:|:
t emp_for_lo1_3|53d3ff|// Station 3 Temp Lo Color Day 1:|:
f orecast_day1_4|Sun|// Station 4Forecast Day 1:|:
f orecast_hi1_4|58|// Station 4 Forecast Hi Temp Day 1:|:
f orecast_lo1_4|40|// Station 4 Forecast Low Temp Day 1:|:
f orecast_conds1_4|Chance Rain|// Station 4 Forecast Cond Day 1:|:
f orecast_icon1_4|chancerain|// Station 4 Forecast Icon Day 1:|:
t emp_for_hi1_4|53ff53|// Station 4 Temp Hi Color Day 1:|:
t emp_for_lo1_4|53d3ff|// Station 4 Temp Lo Color Day 1:|:
f orecast_day1_5|Mon|// Station 5Forecast Day 1:|:
f orecast_hi1_5|61|// Station 5 Forecast Hi Temp Day 1:|:
f orecast_lo1_5|40|// Station 5 Forecast Low Temp Day 1:|:
f orecast_conds1_5|Partly Cloudy|// Station 5 Forecast Cond Day 1:|:
f orecast_icon1_5|partlycloudy|// Station 5 Forecast Icon Day 1:|:
t emp_for_hi1_5|6cff53|// Station 5 Temp Hi Color Day 1:|:
t emp_for_lo1_5|53d3ff|// Station 5 Temp Lo Color Day 1:|:
f orecast_nexrad2|MUX|// Nexrad Station 2:|:
f orecast_country2|US|// Country Station 2:|:
f orecast_radregion2|c1|// Radregion Station 2:|:
f orecast_tzname2|America/Los_Angeles|// Timezone Station 2:|:
f orecast_wmo2||// WMO Station 2:|:
f orecast_day2_1|Thu|// Station 1Forecast Day 2:|:
f orecast_hi2_1|70|// Station 1 Forecast Hi Temp Day 2:|:
f orecast_lo2_1|41|// Station 1 Forecast Low Temp Day 2:|:
f orecast_conds2_1|Clear|// Station 1 Forecast Cond Day 2:|:
f orecast_icon2_1|clear|// Station 1 Forecast Icon Day 2:|:
t emp_for_hi2_1|ffffff|// Station 1 Temp Hi Color Day 2:|:
t emp_for_lo2_1|ffffff|// Station 1 Temp Lo Color Day 2:|:
f orecast_day2_2|Fri|// Station 2Forecast Day 2:|:
f orecast_hi2_2|63|// Station 2 Forecast Hi Temp Day 2:|:
f orecast_lo2_2|40|// Station 2 Forecast Low Temp Day 2:|:
f orecast_conds2_2|Partly Cloudy|// Station 2 Forecast Cond Day 2:|:
f orecast_icon2_2|partlycloudy|// Station 2 Forecast Icon Day 2:|:
t emp_for_hi2_2|ffffff|// Station 2 Temp Hi Color Day 2:|:
t emp_for_lo2_2|ffffff|// Station 2 Temp Lo Color Day 2:|:
f orecast_day2_3|Sat|// Station 3Forecast Day 2:|:
f orecast_hi2_3|58|// Station 3 Forecast Hi Temp Day 2:|:
f orecast_lo2_3|40|// Station 3 Forecast Low Temp Day 2:|:
f orecast_conds2_3|Partly Cloudy|// Station 3 Forecast Cond Day 2:|:
f orecast_icon2_3|partlycloudy|// Station 3 Forecast Icon Day 2:|:
t emp_for_hi2_3|ffffff|// Station 3 Temp Hi Color Day 2:|:
t emp_for_lo2_3|ffffff|// Station 3 Temp Lo Color Day 2:|:
f orecast_day2_4|Sun|// Station 4Forecast Day 2:|:
f orecast_hi2_4|58|// Station 4 Forecast Hi Temp Day 2:|:
f orecast_lo2_4|40|// Station 4 Forecast Low Temp Day 2:|:
f orecast_conds2_4|Chance Rain|// Station 4 Forecast Cond Day 2:|:
f orecast_icon2_4|chancerain|// Station 4 Forecast Icon Day 2:|:
t emp_for_hi2_4|ffffff|// Station 4 Temp Hi Color Day 2:|:
t emp_for_lo2_4|ffffff|// Station 4 Temp Lo Color Day 2:|:
f orecast_day2_5|Mon|// Station 5Forecast Day 2:|:
f orecast_hi2_5|61|// Station 5 Forecast Hi Temp Day 2:|:
f orecast_lo2_5|40|// Station 5 Forecast Low Temp Day 2:|:
f orecast_conds2_5|Partly Cloudy|// Station 5 Forecast Cond Day 2:|:
f orecast_icon2_5|partlycloudy|// Station 5 Forecast Icon Day 2:|:
t emp_for_hi2_5|ffffff|// Station 5 Temp Hi Color Day 2:|:
t emp_for_lo2_5|ffffff|// Station 5 Temp Lo Color Day 2:|:
f orecast_nexrad3|MUX|// Nexrad Station 3:|:
f orecast_country3|US|// Country Station 3:|:
f orecast_radregion3|c1|// Radregion Station 3:|:
f orecast_tzname3|America/Los_Angeles|// Timezone Station 3:|:
f orecast_wmo3||// WMO Station 3:|:
f orecast_day3_1|Thu|// Station 1Forecast Day 3:|:
f orecast_hi3_1|70|// Station 1 Forecast Hi Temp Day 3:|:
f orecast_lo3_1|41|// Station 1 Forecast Low Temp Day 3:|:
f orecast_conds3_1|Clear|// Station 1 Forecast Cond Day 3:|:
f orecast_icon3_1|clear|// Station 1 Forecast Icon Day 3:|:
t emp_for_hi3_1|53d3ff|// Station 1 Temp Hi Color Day 3:|:
t emp_for_lo3_1|ffffff|// Station 1 Temp Lo Color Day 3:|:
f orecast_day3_2|Fri|// Station 2Forecast Day 3:|:
f orecast_hi3_2|63|// Station 2 Forecast Hi Temp Day 3:|:
f orecast_lo3_2|40|// Station 2 Forecast Low Temp Day 3:|:
f orecast_conds3_2|Partly Cloudy|// Station 2 Forecast Cond Day 3:|:
f orecast_icon3_2|partlycloudy|// Station 2 Forecast Icon Day 3:|:
t emp_for_hi3_2|53d3ff|// Station 2 Temp Hi Color Day 3:|:
t emp_for_lo3_2|ffffff|// Station 2 Temp Lo Color Day 3:|:
f orecast_day3_3|Sat|// Station 3Forecast Day 3:|:
f orecast_hi3_3|58|// Station 3 Forecast Hi Temp Day 3:|:
f orecast_lo3_3|40|// Station 3 Forecast Low Temp Day 3:|:
f orecast_conds3_3|Partly Cloudy|// Station 3 Forecast Cond Day 3:|:
f orecast_icon3_3|partlycloudy|// Station 3 Forecast Icon Day 3:|:
t emp_for_hi3_3|53d3ff|// Station 3 Temp Hi Color Day 3:|:
t emp_for_lo3_3|ffffff|// Station 3 Temp Lo Color Day 3:|:
f orecast_day3_4|Sun|// Station 4Forecast Day 3:|:
f orecast_hi3_4|58|// Station 4 Forecast Hi Temp Day 3:|:
f orecast_lo3_4|40|// Station 4 Forecast Low Temp Day 3:|:
f orecast_conds3_4|Chance Rain|// Station 4 Forecast Cond Day 3:|:
f orecast_icon3_4|chancerain|// Station 4 Forecast Icon Day 3:|:
t emp_for_hi3_4|53d3ff|// Station 4 Temp Hi Color Day 3:|:
t emp_for_lo3_4|ffffff|// Station 4 Temp Lo Color Day 3:|:
f orecast_day3_5|Mon|// Station 5Forecast Day 3:|:
f orecast_hi3_5|61|// Station 5 Forecast Hi Temp Day 3:|:
f orecast_lo3_5|40|// Station 5 Forecast Low Temp Day 3:|:
f orecast_conds3_5|Partly Cloudy|// Station 5 Forecast Cond Day 3:|:
f orecast_icon3_5|partlycloudy|// Station 5 Forecast Icon Day 3:|:
t emp_for_hi3_5|53d3ff|// Station 5 Temp Hi Color Day 3:|:
t emp_for_lo3_5|ffffff|// Station 5 Temp Lo Color Day 3:|:
w arning_desc1|This is bogus data. Make sure VWS is uploading your VWStags.htx to replace this VWStags.php file.|// Warning Description Location 1:|:
w arning_time1||// Warning Description Time 1:|:
w arning_desc2|No Warning|// Warning Description Location 2:|:
w arning_time2||// Warning Description Time 2:|:
w arning_desc3|No Warning|// Warning Description Location 3:|:
w arning_time3||// Warning Description Time 3:|:
w arning_desc4|No Warning|// Warning Description Location 4:|:
w arning_time4||// Warning Description Time 4:|:
w arning_desc5|No Warning|// Warning Description Location 5:|:
w arning_time5||// Warning Description Time 5:|:
w arning_desc6|No Warning|// Warning Description Location 6:|:
w arning_time6||// Warning Description Time 6:|:
w arning_desc7|No Warning|// Warning Description Location 7:|:
w arning_time7||// Warning Description Time 7:|:
w arning_desc8|No Warning|// Warning Description Location 8:|:
w arning_time8||// Warning Description Time 8:|:
w arning_desc9|No Warning|// Warning Description Location 9:|:
w arning_time9||// Warning Description Time 9:|:
w arning_desc10|No Warning|// Warning Description Location 10:|:
w arning_time10||// Warning Description Time 10:|:
w arning_desc11|No Warning|// Warning Description Location 11:|:
w arning_time11||// Warning Description Time 11:|:
w arning_desc12|No Warning|// Warning Description Location 12:|:
w arning_time12||// Warning Description Time 12:|:
w arning_desc13|No Warning|// Warning Description Location 13:|:
w arning_time13||// Warning Description Time 13:|:
w arning_desc14|No Warning|// Warning Description Location 14:|:
w arning_time14||// Warning Description Time 14:|:
w arning_desc15|No Warning|// Warning Description Location 15:|:
w arning_time15||// Warning Description Time 15:|:
m eso_stat1|KCASARAT1|// MesoNet Station 1:|:
m eso_loc1|Saratoga|// MesoNet Location 1:|:
m eso_neigh1|Scotland Dr. near Glasgow Dr.|// MesoNet Neighborhood 1:|:
m eso_url1|http://saratoga-weather.org/|// MesoNet URL 1:|:
m eso_URLtext1|Saratoga Weather|// MesoNet URL Text 1:|:
m eso_historyURL1|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASARAT1|// MesoNet History URL 1:|:
m eso_lon1|-122.02|// MesoNet Lon 1:|:
m eso_lat1|37.27|// MesoNet Lat 1:|:
m eso_time1|01/27 07:54:57|// MesoNet Time 1:|:
m eso_temp1|40.8|// MesoNet Temp 1:|:
m eso_dew1|38.0|// MesoNet DewPt 1:|:
m eso_rh1|88|// MesoNet Hum 1:|:
m eso_dir1|NW|// MesoNet WindDir 1:|:
m eso_wspeed1|0|// MesoNet WindSpd 1:|:
m eso_gust1|0|// MesoNet Gust 1:|:
m eso_barom1|30.27|// MesoNet Barom 1:|:
m eso_rrate1|0.00|// MesoNet RainRate 1:|:
m eso_stat2|KCASARAT7|// MesoNet Station 2:|:
m eso_loc2|Saratoga|// MesoNet Location 2:|:
m eso_neigh2|Saratoga|// MesoNet Neighborhood 2:|:
m eso_url2||// MesoNet URL 2:|:
m eso_URLtext2||// MesoNet URL Text 2:|:
m eso_historyURL2|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASARAT7|// MesoNet History URL 2:|:
m eso_lon2|-122.03|// MesoNet Lon 2:|:
m eso_lat2|37.27|// MesoNet Lat 2:|:
m eso_time2|01/27 07:55:12|// MesoNet Time 2:|:
m eso_temp2|44.2|// MesoNet Temp 2:|:
m eso_dew2|39.0|// MesoNet DewPt 2:|:
m eso_rh2|83|// MesoNet Hum 2:|:
m eso_dir2|NNW|// MesoNet WindDir 2:|:
m eso_wspeed2|0|// MesoNet WindSpd 2:|:
m eso_gust2|1|// MesoNet Gust 2:|:
m eso_barom2|30.26|// MesoNet Barom 2:|:
m eso_rrate2|0.00|// MesoNet RainRate 2:|:
m eso_stat3|KCASARAT3|// MesoNet Station 3:|:
m eso_loc3|Saratoga|// MesoNet Location 3:|:
m eso_neigh3|Rooftop - Larchmont Ave|// MesoNet Neighborhood 3:|:
m eso_url3||// MesoNet URL 3:|:
m eso_URLtext3||// MesoNet URL Text 3:|:
m eso_historyURL3|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASARAT3|// MesoNet History URL 3:|:
m eso_lon3|-122.02|// MesoNet Lon 3:|:
m eso_lat3|37.29|// MesoNet Lat 3:|:
m eso_time3|01/27 07:45:10|// MesoNet Time 3:|:
m eso_temp3|41.6|// MesoNet Temp 3:|:
m eso_dew3|36.0|// MesoNet DewPt 3:|:
m eso_rh3|80|// MesoNet Hum 3:|:
m eso_dir3|ENE|// MesoNet WindDir 3:|:
m eso_wspeed3|0|// MesoNet WindSpd 3:|:
m eso_gust3|0|// MesoNet Gust 3:|:
m eso_barom3|29.89|// MesoNet Barom 3:|:
m eso_rrate3|0.00|// MesoNet RainRate 3:|:
m eso_stat4|MAR628|// MesoNet Station 4:|:
m eso_loc4|San Jose|// MesoNet Location 4:|:
m eso_neigh4|APRSWXNET Saratoga                   CA US|// MesoNet Neighborhood 4:|:
m eso_url4|http://madis.noaa.gov|// MesoNet URL 4:|:
m eso_URLtext4|Meteorological Assimilation Data Ingest System|// MesoNet URL Text 4:|:
m eso_historyURL4|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=MAR628|// MesoNet History URL 4:|:
m eso_lon4|-122.00|// MesoNet Lon 4:|:
m eso_lat4|37.28|// MesoNet Lat 4:|:
m eso_time4|01/27 07:30:00|// MesoNet Time 4:|:
m eso_temp4|43.0|// MesoNet Temp 4:|:
m eso_dew4|36.0|// MesoNet DewPt 4:|:
m eso_rh4|75|// MesoNet Hum 4:|:
m eso_dir4|SW|// MesoNet WindDir 4:|:
m eso_wspeed4|0|// MesoNet WindSpd 4:|:
m eso_gust4|0|// MesoNet Gust 4:|:
m eso_barom4|29.91|// MesoNet Barom 4:|:
m eso_rrate4|0.00|// MesoNet RainRate 4:|:
m eso_stat5|MD6372|// MesoNet Station 5:|:
m eso_loc5|Saratoga|// MesoNet Location 5:|:
m eso_neigh5|APRSWXNET Saratoga                   CA US|// MesoNet Neighborhood 5:|:
m eso_url5|http://madis.noaa.gov|// MesoNet URL 5:|:
m eso_URLtext5|Meteorological Assimilation Data Ingest System|// MesoNet URL Text 5:|:
m eso_historyURL5|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=MD6372|// MesoNet History URL 5:|:
m eso_lon5|-122.03|// MesoNet Lon 5:|:
m eso_lat5|37.25|// MesoNet Lat 5:|:
m eso_time5|01/27 07:05:00|// MesoNet Time 5:|:
m eso_temp5|48.0|// MesoNet Temp 5:|:
m eso_dew5|39.0|// MesoNet DewPt 5:|:
m eso_rh5|72|// MesoNet Hum 5:|:
m eso_dir5|West|// MesoNet WindDir 5:|:
m eso_wspeed5|0|// MesoNet WindSpd 5:|:
m eso_gust5|1|// MesoNet Gust 5:|:
m eso_barom5|30.26|// MesoNet Barom 5:|:
m eso_rrate5|0.00|// MesoNet RainRate 5:|:
m eso_stat6|KCASARAT5|// MesoNet Station 6:|:
m eso_loc6|Saratoga|// MesoNet Location 6:|:
m eso_neigh6|Villa Viviana|// MesoNet Neighborhood 6:|:
m eso_url6||// MesoNet URL 6:|:
m eso_URLtext6||// MesoNet URL Text 6:|:
m eso_historyURL6|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASARAT5|// MesoNet History URL 6:|:
m eso_lon6|-122.05|// MesoNet Lon 6:|:
m eso_lat6|37.29|// MesoNet Lat 6:|:
m eso_time6|01/27 07:53:15|// MesoNet Time 6:|:
m eso_temp6|37.2|// MesoNet Temp 6:|:
m eso_dew6|32.0|// MesoNet DewPt 6:|:
m eso_rh6|82|// MesoNet Hum 6:|:
m eso_dir6|SSW|// MesoNet WindDir 6:|:
m eso_wspeed6|0|// MesoNet WindSpd 6:|:
m eso_gust6|0|// MesoNet Gust 6:|:
m eso_barom6|30.25|// MesoNet Barom 6:|:
m eso_rrate6|0.00|// MesoNet RainRate 6:|:
m eso_stat7|KCASARAT6|// MesoNet Station 7:|:
m eso_loc7|Saratoga|// MesoNet Location 7:|:
m eso_neigh7|Purdue Drive|// MesoNet Neighborhood 7:|:
m eso_url7||// MesoNet URL 7:|:
m eso_URLtext7||// MesoNet URL Text 7:|:
m eso_historyURL7|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASARAT6|// MesoNet History URL 7:|:
m eso_lon7|-121.99|// MesoNet Lon 7:|:
m eso_lat7|37.28|// MesoNet Lat 7:|:
m eso_time7|01/27 07:55:11|// MesoNet Time 7:|:
m eso_temp7|39.5|// MesoNet Temp 7:|:
m eso_dew7|36.0|// MesoNet DewPt 7:|:
m eso_rh7|88|// MesoNet Hum 7:|:
m eso_dir7|NNW|// MesoNet WindDir 7:|:
m eso_wspeed7|0|// MesoNet WindSpd 7:|:
m eso_gust7|0|// MesoNet Gust 7:|:
m eso_barom7|30.23|// MesoNet Barom 7:|:
m eso_rrate7|0.00|// MesoNet RainRate 7:|:
m eso_stat8|KCASANJO108|// MesoNet Station 8:|:
m eso_loc8|San Jose|// MesoNet Location 8:|:
m eso_neigh8|Near Westmont HS|// MesoNet Neighborhood 8:|:
m eso_url8||// MesoNet URL 8:|:
m eso_URLtext8||// MesoNet URL Text 8:|:
m eso_historyURL8|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASANJO108|// MesoNet History URL 8:|:
m eso_lon8|-121.99|// MesoNet Lon 8:|:
m eso_lat8|37.27|// MesoNet Lat 8:|:
m eso_time8|01/27 07:09:08|// MesoNet Time 8:|:
m eso_temp8|39.3|// MesoNet Temp 8:|:
m eso_dew8|36.0|// MesoNet DewPt 8:|:
m eso_rh8|86|// MesoNet Hum 8:|:
m eso_dir8|South|// MesoNet WindDir 8:|:
m eso_wspeed8|1|// MesoNet WindSpd 8:|:
m eso_gust8|0|// MesoNet Gust 8:|:
m eso_barom8|30.26|// MesoNet Barom 8:|:
m eso_rrate8|0.00|// MesoNet RainRate 8:|:
m eso_stat9|KCASARAT12|// MesoNet Station 9:|:
m eso_loc9|Saratoga|// MesoNet Location 9:|:
m eso_neigh9|Rolling Hills (Brit Ranch)|// MesoNet Neighborhood 9:|:
m eso_url9||// MesoNet URL 9:|:
m eso_URLtext9||// MesoNet URL Text 9:|:
m eso_historyURL9|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASARAT12|// MesoNet History URL 9:|:
m eso_lon9|-122.05|// MesoNet Lon 9:|:
m eso_lat9|37.29|// MesoNet Lat 9:|:
m eso_time9|01/27 07:55:05|// MesoNet Time 9:|:
m eso_temp9|58.1|// MesoNet Temp 9:|:
m eso_dew9|33.0|// MesoNet DewPt 9:|:
m eso_rh9|39|// MesoNet Hum 9:|:
m eso_dir9|North|// MesoNet WindDir 9:|:
m eso_wspeed9|0|// MesoNet WindSpd 9:|:
m eso_gust9|0|// MesoNet Gust 9:|:
m eso_barom9|29.51|// MesoNet Barom 9:|:
m eso_rrate9|0.00|// MesoNet RainRate 9:|:
m eso_stat10|KCASARAT11|// MesoNet Station 10:|:
m eso_loc10|Saratoga|// MesoNet Location 10:|:
m eso_neigh10|Saratoga Hills|// MesoNet Neighborhood 10:|:
m eso_url10||// MesoNet URL 10:|:
m eso_URLtext10||// MesoNet URL Text 10:|:
m eso_historyURL10|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASARAT11|// MesoNet History URL 10:|:
m eso_lon10|-122.04|// MesoNet Lon 10:|:
m eso_lat10|37.24|// MesoNet Lat 10:|:
m eso_time10|01/27 07:48:35|// MesoNet Time 10:|:
m eso_temp10|56.1|// MesoNet Temp 10:|:
m eso_dew10|39.0|// MesoNet DewPt 10:|:
m eso_rh10|42|// MesoNet Hum 10:|:
m eso_dir10|NW|// MesoNet WindDir 10:|:
m eso_wspeed10|0|// MesoNet WindSpd 10:|:
m eso_gust10|0|// MesoNet Gust 10:|:
m eso_barom10|30.24|// MesoNet Barom 10:|:
m eso_rrate10|0.00|// MesoNet RainRate 10:|:
m eso_stat11|KCAMONTE11|// MesoNet Station 11:|:
m eso_loc11|Monte Sereno|// MesoNet Location 11:|:
m eso_neigh11|Monte Sereno|// MesoNet Neighborhood 11:|:
m eso_url11||// MesoNet URL 11:|:
m eso_URLtext11||// MesoNet URL Text 11:|:
m eso_historyURL11|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCAMONTE11|// MesoNet History URL 11:|:
m eso_lon11|-122.00|// MesoNet Lon 11:|:
m eso_lat11|37.24|// MesoNet Lat 11:|:
m eso_time11|01/27 07:54:51|// MesoNet Time 11:|:
m eso_temp11|47.8|// MesoNet Temp 11:|:
m eso_dew11|37.0|// MesoNet DewPt 11:|:
m eso_rh11|66|// MesoNet Hum 11:|:
m eso_dir11|SW|// MesoNet WindDir 11:|:
m eso_wspeed11|1|// MesoNet WindSpd 11:|:
m eso_gust11|2|// MesoNet Gust 11:|:
m eso_barom11|30.23|// MesoNet Barom 11:|:
m eso_rrate11|0.00|// MesoNet RainRate 11:|:
m eso_stat12|KCASARAT8|// MesoNet Station 12:|:
m eso_loc12|Saratoga|// MesoNet Location 12:|:
m eso_neigh12|Bohlman|// MesoNet Neighborhood 12:|:
m eso_url12||// MesoNet URL 12:|:
m eso_URLtext12||// MesoNet URL Text 12:|:
m eso_historyURL12|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASARAT8|// MesoNet History URL 12:|:
m eso_lon12|-122.04|// MesoNet Lon 12:|:
m eso_lat12|37.24|// MesoNet Lat 12:|:
m eso_time12|01/27 07:55:07|// MesoNet Time 12:|:
m eso_temp12|58.4|// MesoNet Temp 12:|:
m eso_dew12|23.0|// MesoNet DewPt 12:|:
m eso_rh12|25|// MesoNet Hum 12:|:
m eso_dir12|West|// MesoNet WindDir 12:|:
m eso_wspeed12|0|// MesoNet WindSpd 12:|:
m eso_gust12|0|// MesoNet Gust 12:|:
m eso_barom12|30.24|// MesoNet Barom 12:|:
m eso_rrate12|0.00|// MesoNet RainRate 12:|:
m eso_stat13|KCALOSGA39|// MesoNet Station 13:|:
m eso_loc13|Los Gatos|// MesoNet Location 13:|:
m eso_neigh13|Los Gatos Neighborhood Weather|// MesoNet Neighborhood 13:|:
m eso_url13||// MesoNet URL 13:|:
m eso_URLtext13||// MesoNet URL Text 13:|:
m eso_historyURL13|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCALOSGA39|// MesoNet History URL 13:|:
m eso_lon13|-121.98|// MesoNet Lon 13:|:
m eso_lat13|37.25|// MesoNet Lat 13:|:
m eso_time13|01/27 07:55:08|// MesoNet Time 13:|:
m eso_temp13|39.2|// MesoNet Temp 13:|:
m eso_dew13|36.0|// MesoNet DewPt 13:|:
m eso_rh13|88|// MesoNet Hum 13:|:
m eso_dir13|North|// MesoNet WindDir 13:|:
m eso_wspeed13|0|// MesoNet WindSpd 13:|:
m eso_gust13|1|// MesoNet Gust 13:|:
m eso_barom13|30.18|// MesoNet Barom 13:|:
m eso_rrate13|0.00|// MesoNet RainRate 13:|:
m eso_stat14|KCASANJO65|// MesoNet Station 14:|:
m eso_loc14|San Jose|// MesoNet Location 14:|:
m eso_neigh14|Saratoga Ave./Doyle Rd.|// MesoNet Neighborhood 14:|:
m eso_url14||// MesoNet URL 14:|:
m eso_URLtext14||// MesoNet URL Text 14:|:
m eso_historyURL14|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASANJO65|// MesoNet History URL 14:|:
m eso_lon14|-121.98|// MesoNet Lon 14:|:
m eso_lat14|37.30|// MesoNet Lat 14:|:
m eso_time14|01/27 07:53:30|// MesoNet Time 14:|:
m eso_temp14|40.2|// MesoNet Temp 14:|:
m eso_dew14|34.0|// MesoNet DewPt 14:|:
m eso_rh14|79|// MesoNet Hum 14:|:
m eso_dir14|North|// MesoNet WindDir 14:|:
m eso_wspeed14|0|// MesoNet WindSpd 14:|:
m eso_gust14|0|// MesoNet Gust 14:|:
m eso_barom14|30.26|// MesoNet Barom 14:|:
m eso_rrate14|0.00|// MesoNet RainRate 14:|:
m eso_stat15|KCACUPER11|// MesoNet Station 15:|:
m eso_loc15|Cupertino|// MesoNet Location 15:|:
m eso_neigh15|Monta Vista|// MesoNet Neighborhood 15:|:
m eso_url15||// MesoNet URL 15:|:
m eso_URLtext15||// MesoNet URL Text 15:|:
m eso_historyURL15|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCACUPER11|// MesoNet History URL 15:|:
m eso_lon15|-122.05|// MesoNet Lon 15:|:
m eso_lat15|37.32|// MesoNet Lat 15:|:
m eso_time15|01/27 07:54:32|// MesoNet Time 15:|:
m eso_temp15|48.4|// MesoNet Temp 15:|:
m eso_dew15|39.0|// MesoNet DewPt 15:|:
m eso_rh15|69|// MesoNet Hum 15:|:
m eso_dir15|West|// MesoNet WindDir 15:|:
m eso_wspeed15|0|// MesoNet WindSpd 15:|:
m eso_gust15|1|// MesoNet Gust 15:|:
m eso_barom15|30.35|// MesoNet Barom 15:|:
m eso_rrate15|0.00|// MesoNet RainRate 15:|:
m eso_stat16|KCASARAT9|// MesoNet Station 16:|:
m eso_loc16|Saratoga|// MesoNet Location 16:|:
m eso_neigh16|Saratoga hills|// MesoNet Neighborhood 16:|:
m eso_url16||// MesoNet URL 16:|:
m eso_URLtext16||// MesoNet URL Text 16:|:
m eso_historyURL16|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASARAT9|// MesoNet History URL 16:|:
m eso_lon16|-122.04|// MesoNet Lon 16:|:
m eso_lat16|37.22|// MesoNet Lat 16:|:
m eso_time16|01/27 07:50:04|// MesoNet Time 16:|:
m eso_temp16|61.3|// MesoNet Temp 16:|:
m eso_dew16|30.0|// MesoNet DewPt 16:|:
m eso_rh16|31|// MesoNet Hum 16:|:
m eso_dir16|SSW|// MesoNet WindDir 16:|:
m eso_wspeed16|5|// MesoNet WindSpd 16:|:
m eso_gust16|7|// MesoNet Gust 16:|:
m eso_barom16|30.21|// MesoNet Barom 16:|:
m eso_rrate16|0.00|// MesoNet RainRate 16:|:
m eso_stat17|KCACUPER5|// MesoNet Station 17:|:
m eso_loc17|Cupertino|// MesoNet Location 17:|:
m eso_neigh17|Monta Vista|// MesoNet Neighborhood 17:|:
m eso_url17|http://k6rtm.home.comcast.net/wx.html|// MesoNet URL 17:|:
m eso_URLtext17||// MesoNet URL Text 17:|:
m eso_historyURL17|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCACUPER5|// MesoNet History URL 17:|:
m eso_lon17|-122.06|// MesoNet Lon 17:|:
m eso_lat17|37.32|// MesoNet Lat 17:|:
m eso_time17|01/27 07:45:24|// MesoNet Time 17:|:
m eso_temp17|47.3|// MesoNet Temp 17:|:
m eso_dew17|36.0|// MesoNet DewPt 17:|:
m eso_rh17|66|// MesoNet Hum 17:|:
m eso_dir17|SW|// MesoNet WindDir 17:|:
m eso_wspeed17|2|// MesoNet WindSpd 17:|:
m eso_gust17|5|// MesoNet Gust 17:|:
m eso_barom17|30.20|// MesoNet Barom 17:|:
m eso_rrate17|0.00|// MesoNet RainRate 17:|:
m eso_stat18|KCALOSGA42|// MesoNet Station 18:|:
m eso_loc18|Los Gatos|// MesoNet Location 18:|:
m eso_neigh18|Edelen District|// MesoNet Neighborhood 18:|:
m eso_url18||// MesoNet URL 18:|:
m eso_URLtext18||// MesoNet URL Text 18:|:
m eso_historyURL18|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCALOSGA42|// MesoNet History URL 18:|:
m eso_lon18|-121.98|// MesoNet Lon 18:|:
m eso_lat18|37.22|// MesoNet Lat 18:|:
m eso_time18|01/27 07:55:13|// MesoNet Time 18:|:
m eso_temp18|45.9|// MesoNet Temp 18:|:
m eso_dew18|29.0|// MesoNet DewPt 18:|:
m eso_rh18|52|// MesoNet Hum 18:|:
m eso_dir18|SW|// MesoNet WindDir 18:|:
m eso_wspeed18|3|// MesoNet WindSpd 18:|:
m eso_gust18|4|// MesoNet Gust 18:|:
m eso_barom18|30.20|// MesoNet Barom 18:|:
m eso_rrate18|0.00|// MesoNet RainRate 18:|:
m eso_stat19|KCACUPER7|// MesoNet Station 19:|:
m eso_loc19|Cupertino|// MesoNet Location 19:|:
m eso_neigh19|Linwood Acres|// MesoNet Neighborhood 19:|:
m eso_url19||// MesoNet URL 19:|:
m eso_URLtext19||// MesoNet URL Text 19:|:
m eso_historyURL19|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCACUPER7|// MesoNet History URL 19:|:
m eso_lon19|-122.03|// MesoNet Lon 19:|:
m eso_lat19|37.33|// MesoNet Lat 19:|:
m eso_time19|01/27 07:55:10|// MesoNet Time 19:|:
m eso_temp19|39.2|// MesoNet Temp 19:|:
m eso_dew19|36.0|// MesoNet DewPt 19:|:
m eso_rh19|88|// MesoNet Hum 19:|:
m eso_dir19|WSW|// MesoNet WindDir 19:|:
m eso_wspeed19|0|// MesoNet WindSpd 19:|:
m eso_gust19|0|// MesoNet Gust 19:|:
m eso_barom19|30.06|// MesoNet Barom 19:|:
m eso_rrate19|0.00|// MesoNet RainRate 19:|:
m eso_stat20|KCACUPER13|// MesoNet Station 20:|:
m eso_loc20|Cupertino|// MesoNet Location 20:|:
m eso_neigh20|Mother Ship, Mariani Orchard|// MesoNet Neighborhood 20:|:
m eso_url20||// MesoNet URL 20:|:
m eso_URLtext20||// MesoNet URL Text 20:|:
m eso_historyURL20|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCACUPER13|// MesoNet History URL 20:|:
m eso_lon20|-122.03|// MesoNet Lon 20:|:
m eso_lat20|37.33|// MesoNet Lat 20:|:
m eso_time20|01/27 07:55:10|// MesoNet Time 20:|:
m eso_temp20|42.4|// MesoNet Temp 20:|:
m eso_dew20|39.0|// MesoNet DewPt 20:|:
m eso_rh20|87|// MesoNet Hum 20:|:
m eso_dir20|NW|// MesoNet WindDir 20:|:
m eso_wspeed20|0|// MesoNet WindSpd 20:|:
m eso_gust20|0|// MesoNet Gust 20:|:
m eso_barom20|30.33|// MesoNet Barom 20:|:
m eso_rrate20|0.00|// MesoNet RainRate 20:|:
m eso_stat21|KCACUPER10|// MesoNet Station 21:|:
m eso_loc21|Cupertino|// MesoNet Location 21:|:
m eso_neigh21|Monta Vista North|// MesoNet Neighborhood 21:|:
m eso_url21||// MesoNet URL 21:|:
m eso_URLtext21||// MesoNet URL Text 21:|:
m eso_historyURL21|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCACUPER10|// MesoNet History URL 21:|:
m eso_lon21|-122.06|// MesoNet Lon 21:|:
m eso_lat21|37.33|// MesoNet Lat 21:|:
m eso_time21|01/27 07:54:05|// MesoNet Time 21:|:
m eso_temp21|41.3|// MesoNet Temp 21:|:
m eso_dew21|34.0|// MesoNet DewPt 21:|:
m eso_rh21|74|// MesoNet Hum 21:|:
m eso_dir21|North|// MesoNet WindDir 21:|:
m eso_wspeed21|0|// MesoNet WindSpd 21:|:
m eso_gust21|0|// MesoNet Gust 21:|:
m eso_barom21|30.20|// MesoNet Barom 21:|:
m eso_rrate21|14.31|// MesoNet RainRate 21:|:
m eso_stat22|MC4115|// MesoNet Station 22:|:
m eso_loc22|Santa Clara|// MesoNet Location 22:|:
m eso_neigh22|APRSWXNET Santa Clara                CA US|// MesoNet Neighborhood 22:|:
m eso_url22|http://madis.noaa.gov|// MesoNet URL 22:|:
m eso_URLtext22|Meteorological Assimilation Data Ingest System|// MesoNet URL Text 22:|:
m eso_historyURL22|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=MC4115|// MesoNet History URL 22:|:
m eso_lon22|-121.98|// MesoNet Lon 22:|:
m eso_lat22|37.32|// MesoNet Lat 22:|:
m eso_time22|01/27 07:33:00|// MesoNet Time 22:|:
m eso_temp22|40.0|// MesoNet Temp 22:|:
m eso_dew22|35.0|// MesoNet DewPt 22:|:
m eso_rh22|83|// MesoNet Hum 22:|:
m eso_dir22|WSW|// MesoNet WindDir 22:|:
m eso_wspeed22|0|// MesoNet WindSpd 22:|:
m eso_gust22|0|// MesoNet Gust 22:|:
m eso_barom22|30.22|// MesoNet Barom 22:|:
m eso_rrate22|0.00|// MesoNet RainRate 22:|:
m eso_stat23|KCACAMPB7|// MesoNet Station 23:|:
m eso_loc23|Campbell|// MesoNet Location 23:|:
m eso_neigh23|Campbell Ave. and Foote St.|// MesoNet Neighborhood 23:|:
m eso_url23||// MesoNet URL 23:|:
m eso_URLtext23||// MesoNet URL Text 23:|:
m eso_historyURL23|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCACAMPB7|// MesoNet History URL 23:|:
m eso_lon23|-121.94|// MesoNet Lon 23:|:
m eso_lat23|37.29|// MesoNet Lat 23:|:
m eso_time23|01/27 07:55:08|// MesoNet Time 23:|:
m eso_temp23|41.0|// MesoNet Temp 23:|:
m eso_dew23|39.0|// MesoNet DewPt 23:|:
m eso_rh23|92|// MesoNet Hum 23:|:
m eso_dir23|North|// MesoNet WindDir 23:|:
m eso_wspeed23|0|// MesoNet WindSpd 23:|:
m eso_gust23|0|// MesoNet Gust 23:|:
m eso_barom23|30.20|// MesoNet Barom 23:|:
m eso_rrate23|0.00|// MesoNet RainRate 23:|:
m eso_stat24|KCASUNNY20|// MesoNet Station 24:|:
m eso_loc24|Sunnyvale|// MesoNet Location 24:|:
m eso_neigh24|Birdland-Raynor|// MesoNet Neighborhood 24:|:
m eso_url24||// MesoNet URL 24:|:
m eso_URLtext24||// MesoNet URL Text 24:|:
m eso_historyURL24|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASUNNY20|// MesoNet History URL 24:|:
m eso_lon24|-122.01|// MesoNet Lon 24:|:
m eso_lat24|37.34|// MesoNet Lat 24:|:
m eso_time24|01/27 07:55:09|// MesoNet Time 24:|:
m eso_temp24|39.7|// MesoNet Temp 24:|:
m eso_dew24|34.0|// MesoNet DewPt 24:|:
m eso_rh24|81|// MesoNet Hum 24:|:
m eso_dir24|WSW|// MesoNet WindDir 24:|:
m eso_wspeed24|0|// MesoNet WindSpd 24:|:
m eso_gust24|0|// MesoNet Gust 24:|:
m eso_barom24|30.22|// MesoNet Barom 24:|:
m eso_rrate24|0.00|// MesoNet RainRate 24:|:
m eso_stat25|KCASUNNY19|// MesoNet Station 25:|:
m eso_loc25|Sunnyvale|// MesoNet Location 25:|:
m eso_neigh25|Homestead/Kennewick|// MesoNet Neighborhood 25:|:
m eso_url25||// MesoNet URL 25:|:
m eso_URLtext25||// MesoNet URL Text 25:|:
m eso_historyURL25|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASUNNY19|// MesoNet History URL 25:|:
m eso_lon25|-122.05|// MesoNet Lon 25:|:
m eso_lat25|37.34|// MesoNet Lat 25:|:
m eso_time25|01/27 07:54:28|// MesoNet Time 25:|:
m eso_temp25|44.6|// MesoNet Temp 25:|:
m eso_dew25|40.0|// MesoNet DewPt 25:|:
m eso_rh25|85|// MesoNet Hum 25:|:
m eso_dir25|NNW|// MesoNet WindDir 25:|:
m eso_wspeed25|2|// MesoNet WindSpd 25:|:
m eso_gust25|2|// MesoNet Gust 25:|:
m eso_barom25|30.33|// MesoNet Barom 25:|:
m eso_rrate25|0.00|// MesoNet RainRate 25:|:
m eso_stat26|KCASANJO100|// MesoNet Station 26:|:
m eso_loc26|Campbell|// MesoNet Location 26:|:
m eso_neigh26|Winchester and Payne|// MesoNet Neighborhood 26:|:
m eso_url26||// MesoNet URL 26:|:
m eso_URLtext26||// MesoNet URL Text 26:|:
m eso_historyURL26|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASANJO100|// MesoNet History URL 26:|:
m eso_lon26|-121.94|// MesoNet Lon 26:|:
m eso_lat26|37.30|// MesoNet Lat 26:|:
m eso_time26|01/27 07:55:09|// MesoNet Time 26:|:
m eso_temp26|42.7|// MesoNet Temp 26:|:
m eso_dew26|38.0|// MesoNet DewPt 26:|:
m eso_rh26|85|// MesoNet Hum 26:|:
m eso_dir26|SSE|// MesoNet WindDir 26:|:
m eso_wspeed26|0|// MesoNet WindSpd 26:|:
m eso_gust26|0|// MesoNet Gust 26:|:
m eso_barom26|30.17|// MesoNet Barom 26:|:
m eso_rrate26|0.00|// MesoNet RainRate 26:|:
m eso_stat27|KCASANTA75|// MesoNet Station 27:|:
m eso_loc27|Santa Clara|// MesoNet Location 27:|:
m eso_neigh27|0.5 mi E of Homestead and Lawrence|// MesoNet Neighborhood 27:|:
m eso_url27|http://home.starrsoft.com/weather|// MesoNet URL 27:|:
m eso_URLtext27|Don's Weather|// MesoNet URL Text 27:|:
m eso_historyURL27|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASANTA75|// MesoNet History URL 27:|:
m eso_lon27|-121.99|// MesoNet Lon 27:|:
m eso_lat27|37.34|// MesoNet Lat 27:|:
m eso_time27|01/27 07:50:09|// MesoNet Time 27:|:
m eso_temp27|38.8|// MesoNet Temp 27:|:
m eso_dew27|32.0|// MesoNet DewPt 27:|:
m eso_rh27|76|// MesoNet Hum 27:|:
m eso_dir27|SW|// MesoNet WindDir 27:|:
m eso_wspeed27|0|// MesoNet WindSpd 27:|:
m eso_gust27|0|// MesoNet Gust 27:|:
m eso_barom27|30.09|// MesoNet Barom 27:|:
m eso_rrate27|0.00|// MesoNet RainRate 27:|:
m eso_stat28|MD2458|// MesoNet Station 28:|:
m eso_loc28|Santa Clara|// MesoNet Location 28:|:
m eso_neigh28|APRSWXNET Santa Clara                CA US|// MesoNet Neighborhood 28:|:
m eso_url28|http://madis.noaa.gov|// MesoNet URL 28:|:
m eso_URLtext28|Meteorological Assimilation Data Ingest System|// MesoNet URL Text 28:|:
m eso_historyURL28|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=MD2458|// MesoNet History URL 28:|:
m eso_lon28|-121.98|// MesoNet Lon 28:|:
m eso_lat28|37.33|// MesoNet Lat 28:|:
m eso_time28|01/27 06:28:00|// MesoNet Time 28:|:
m eso_temp28|37.0|// MesoNet Temp 28:|:
m eso_dew28|35.0|// MesoNet DewPt 28:|:
m eso_rh28|93|// MesoNet Hum 28:|:
m eso_dir28|SSW|// MesoNet WindDir 28:|:
m eso_wspeed28|0|// MesoNet WindSpd 28:|:
m eso_gust28|0|// MesoNet Gust 28:|:
m eso_barom28|30.22|// MesoNet Barom 28:|:
m eso_rrate28|0.00|// MesoNet RainRate 28:|:
m eso_stat29|KCASUNNY16|// MesoNet Station 29:|:
m eso_loc29|Sunnyvale|// MesoNet Location 29:|:
m eso_neigh29|SW Sunnyvale|// MesoNet Neighborhood 29:|:
m eso_url29||// MesoNet URL 29:|:
m eso_URLtext29||// MesoNet URL Text 29:|:
m eso_historyURL29|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASUNNY16|// MesoNet History URL 29:|:
m eso_lon29|-122.06|// MesoNet Lon 29:|:
m eso_lat29|37.34|// MesoNet Lat 29:|:
m eso_time29|01/27 07:40:20|// MesoNet Time 29:|:
m eso_temp29|42.5|// MesoNet Temp 29:|:
m eso_dew29|39.0|// MesoNet DewPt 29:|:
m eso_rh29|87|// MesoNet Hum 29:|:
m eso_dir29|SW|// MesoNet WindDir 29:|:
m eso_wspeed29|0|// MesoNet WindSpd 29:|:
m eso_gust29|0|// MesoNet Gust 29:|:
m eso_barom29|30.25|// MesoNet Barom 29:|:
m eso_rrate29|0.00|// MesoNet RainRate 29:|:
m eso_stat30|KCASANJO112|// MesoNet Station 30:|:
m eso_loc30|San Jose|// MesoNet Location 30:|:
m eso_neigh30|Alta Vista|// MesoNet Neighborhood 30:|:
m eso_url30||// MesoNet URL 30:|:
m eso_URLtext30||// MesoNet URL Text 30:|:
m eso_historyURL30|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASANJO112|// MesoNet History URL 30:|:
m eso_lon30|-121.94|// MesoNet Lon 30:|:
m eso_lat30|37.24|// MesoNet Lat 30:|:
m eso_time30|01/27 07:39:58|// MesoNet Time 30:|:
m eso_temp30|42.7|// MesoNet Temp 30:|:
m eso_dew30|37.0|// MesoNet DewPt 30:|:
m eso_rh30|80|// MesoNet Hum 30:|:
m eso_dir30|WSW|// MesoNet WindDir 30:|:
m eso_wspeed30|0|// MesoNet WindSpd 30:|:
m eso_gust30|0|// MesoNet Gust 30:|:
m eso_barom30|30.07|// MesoNet Barom 30:|:
m eso_rrate30|0.00|// MesoNet RainRate 30:|:
m eso_stat31|KCASANJO89|// MesoNet Station 31:|:
m eso_loc31|San Jose|// MesoNet Location 31:|:
m eso_neigh31|Wooding and Spruance|// MesoNet Neighborhood 31:|:
m eso_url31||// MesoNet URL 31:|:
m eso_URLtext31||// MesoNet URL Text 31:|:
m eso_historyURL31|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASANJO89|// MesoNet History URL 31:|:
m eso_lon31|-121.94|// MesoNet Lon 31:|:
m eso_lat31|37.30|// MesoNet Lat 31:|:
m eso_time31|01/27 07:55:13|// MesoNet Time 31:|:
m eso_temp31|38.3|// MesoNet Temp 31:|:
m eso_dew31|38.0|// MesoNet DewPt 31:|:
m eso_rh31|98|// MesoNet Hum 31:|:
m eso_dir31|South|// MesoNet WindDir 31:|:
m eso_wspeed31|0|// MesoNet WindSpd 31:|:
m eso_gust31|0|// MesoNet Gust 31:|:
m eso_barom31|29.88|// MesoNet Barom 31:|:
m eso_rrate31|0.00|// MesoNet RainRate 31:|:
m eso_stat32|KCALOSGA43|// MesoNet Station 32:|:
m eso_loc32|Los Gatos|// MesoNet Location 32:|:
m eso_neigh32|Las Cumbres|// MesoNet Neighborhood 32:|:
m eso_url32||// MesoNet URL 32:|:
m eso_URLtext32||// MesoNet URL Text 32:|:
m eso_historyURL32|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCALOSGA43|// MesoNet History URL 32:|:
m eso_lon32|-122.07|// MesoNet Lon 32:|:
m eso_lat32|37.21|// MesoNet Lat 32:|:
m eso_time32|01/27 07:50:06|// MesoNet Time 32:|:
m eso_temp32|59.0|// MesoNet Temp 32:|:
m eso_dew32|31.0|// MesoNet DewPt 32:|:
m eso_rh32|34|// MesoNet Hum 32:|:
m eso_dir32|SSE|// MesoNet WindDir 32:|:
m eso_wspeed32|0|// MesoNet WindSpd 32:|:
m eso_gust32|0|// MesoNet Gust 32:|:
m eso_barom32|30.16|// MesoNet Barom 32:|:
m eso_rrate32|0.00|// MesoNet RainRate 32:|:
m eso_stat33|KCACAMPB4|// MesoNet Station 33:|:
m eso_loc33|Campbell|// MesoNet Location 33:|:
m eso_neigh33|near eBay Headquarters|// MesoNet Neighborhood 33:|:
m eso_url33|http://badmonkeys.ath.cx/weather/KCACAMPB4.htm|// MesoNet URL 33:|:
m eso_URLtext33|BadMonkeys Secret Labs|// MesoNet URL Text 33:|:
m eso_historyURL33|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCACAMPB4|// MesoNet History URL 33:|:
m eso_lon33|-121.93|// MesoNet Lon 33:|:
m eso_lat33|37.29|// MesoNet Lat 33:|:
m eso_time33|01/27 07:54:42|// MesoNet Time 33:|:
m eso_temp33|39.7|// MesoNet Temp 33:|:
m eso_dew33|39.0|// MesoNet DewPt 33:|:
m eso_rh33|98|// MesoNet Hum 33:|:
m eso_dir33|SW|// MesoNet WindDir 33:|:
m eso_wspeed33|0|// MesoNet WindSpd 33:|:
m eso_gust33|0|// MesoNet Gust 33:|:
m eso_barom33|30.00|// MesoNet Barom 33:|:
m eso_rrate33|0.00|// MesoNet RainRate 33:|:
m eso_stat34|KCASUNNY18|// MesoNet Station 34:|:
m eso_loc34|Sunnyvale|// MesoNet Location 34:|:
m eso_neigh34|Our Backyard|// MesoNet Neighborhood 34:|:
m eso_url34||// MesoNet URL 34:|:
m eso_URLtext34||// MesoNet URL Text 34:|:
m eso_historyURL34|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASUNNY18|// MesoNet History URL 34:|:
m eso_lon34|-122.02|// MesoNet Lon 34:|:
m eso_lat34|37.35|// MesoNet Lat 34:|:
m eso_time34|01/27 07:52:52|// MesoNet Time 34:|:
m eso_temp34|37.8|// MesoNet Temp 34:|:
m eso_dew34|36.0|// MesoNet DewPt 34:|:
m eso_rh34|95|// MesoNet Hum 34:|:
m eso_dir34|NE|// MesoNet WindDir 34:|:
m eso_wspeed34|0|// MesoNet WindSpd 34:|:
m eso_gust34|0|// MesoNet Gust 34:|:
m eso_barom34|30.10|// MesoNet Barom 34:|:
m eso_rrate34|0.00|// MesoNet RainRate 34:|:
m eso_stat35|KCASANJO117|// MesoNet Station 35:|:
m eso_loc35|San Jose|// MesoNet Location 35:|:
m eso_neigh35|Cambrian-Camden/Leigh|// MesoNet Neighborhood 35:|:
m eso_url35||// MesoNet URL 35:|:
m eso_URLtext35||// MesoNet URL Text 35:|:
m eso_historyURL35|www.wunderground.com/weatherstation/WXDailyHistory.asp?ID=KCASANJO117|// MesoNet History URL 35:|:
m eso_lon35|-121.92|// MesoNet Lon 35:|:
m eso_lat35|37.26|// MesoNet Lat 35:|:
m eso_time35|01/27 07:54:50|// MesoNet Time 35:|:
m eso_temp35|40.3|// MesoNet Temp 35:|:
m eso_dew35|37.0|// MesoNet DewPt 35:|:
m eso_rh35|87|// MesoNet Hum 35:|:
m eso_dir35|SSE|// MesoNet WindDir 35:|:
m eso_wspeed35|0|// MesoNet WindSpd 35:|:
m eso_gust35|0|// MesoNet Gust 35:|:
m eso_barom35|30.21|// MesoNet Barom 35:|:
m eso_rrate35|0.00|// MesoNet RainRate 35:|:
m eso_stat36|KSJC|// MesoNet Station 36:|:
m eso_loc36|San Jose|// MesoNet Location 36:|:
m eso_neigh36|Official Station|// MesoNet Neighborhood 36:|:
m eso_url36||// MesoNet URL 36:|:
m eso_URLtext36||// MesoNet URL Text 36:|:
m eso_historyURL36|www.wunderground.com/history/airport/KSJC/2011/1/27/DailyHistory.html?FULLALMANAC=KSJC|// MesoNet History URL 36:|:
m eso_lon36|-121.93|// MesoNet Lon 36:|:
m eso_lat36|37.36|// MesoNet Lat 36:|:
m eso_time36|01/27 06:53:00|// MesoNet Time 36:|:
m eso_temp36|42.0|// MesoNet Temp 36:|:
m eso_dew36|38.0|// MesoNet DewPt 36:|:
m eso_rh36|85|// MesoNet Hum 36:|:
m eso_dir36|ESE|// MesoNet WindDir 36:|:
m eso_wspeed36|4|// MesoNet WindSpd 36:|:
m eso_gust36|---|// MesoNet Gust 36:|:
m eso_barom36|30.25|// MesoNet Barom 36:|:
m eso_rrate36|---|// MesoNet RainRate 36:|:
m eso_stat37|KNUQ|// MesoNet Station 37:|:
m eso_loc37|Moffett NAS|// MesoNet Location 37:|:
m eso_neigh37|Official Station|// MesoNet Neighborhood 37:|:
m eso_url37||// MesoNet URL 37:|:
m eso_URLtext37||// MesoNet URL Text 37:|:
m eso_historyURL37|www.wunderground.com/history/airport/KNUQ/2011/1/27/DailyHistory.html?FULLALMANAC=KNUQ|// MesoNet History URL 37:|:
m eso_lon37|-122.05|// MesoNet Lon 37:|:
m eso_lat37|37.41|// MesoNet Lat 37:|:
m eso_time37|01/27 06:56:00|// MesoNet Time 37:|:
m eso_temp37|45.0|// MesoNet Temp 37:|:
m eso_dew37|39.0|// MesoNet DewPt 37:|:
m eso_rh37|80|// MesoNet Hum 37:|:
m eso_dir37|North|// MesoNet WindDir 37:|:
m eso_wspeed37|0|// MesoNet WindSpd 37:|:
m eso_gust37|---|// MesoNet Gust 37:|:
m eso_barom37|30.27|// MesoNet Barom 37:|:
m eso_rrate37|---|// MesoNet RainRate 37:|:
m eso_stat38|KRHV|// MesoNet Station 38:|:
m eso_loc38|San Jose Reid|// MesoNet Location 38:|:
m eso_neigh38|Official Station|// MesoNet Neighborhood 38:|:
m eso_url38||// MesoNet URL 38:|:
m eso_URLtext38||// MesoNet URL Text 38:|:
m eso_historyURL38|www.wunderground.com/history/airport/KRHV/2011/1/27/DailyHistory.html?FULLALMANAC=KRHV|// MesoNet History URL 38:|:
m eso_lon38|-121.82|// MesoNet Lon 38:|:
m eso_lat38|37.33|// MesoNet Lat 38:|:
m eso_time38|01/27 06:47:00|// MesoNet Time 38:|:
m eso_temp38|41.0|// MesoNet Temp 38:|:
m eso_dew38|37.0|// MesoNet DewPt 38:|:
m eso_rh38|87|// MesoNet Hum 38:|:
m eso_dir38|North|// MesoNet WindDir 38:|:
m eso_wspeed38|0|// MesoNet WindSpd 38:|:
m eso_gust38|---|// MesoNet Gust 38:|:
m eso_barom38|30.27|// MesoNet Barom 38:|:
m eso_rrate38|---|// MesoNet RainRate 38:|:
m eso_stat39|KPAO|// MesoNet Station 39:|:
m eso_loc39|Palo Alto|// MesoNet Location 39:|:
m eso_neigh39|Official Station|// MesoNet Neighborhood 39:|:
m eso_url39||// MesoNet URL 39:|:
m eso_URLtext39||// MesoNet URL Text 39:|:
m eso_historyURL39|www.wunderground.com/history/airport/KPAO/2011/1/27/DailyHistory.html?FULLALMANAC=KPAO|// MesoNet History URL 39:|:
m eso_lon39|-122.11|// MesoNet Lon 39:|:
m eso_lat39|37.46|// MesoNet Lat 39:|:
m eso_time39|01/27 07:47:00|// MesoNet Time 39:|:
m eso_temp39|39.0|// MesoNet Temp 39:|:
m eso_dew39|37.0|// MesoNet DewPt 39:|:
m eso_rh39|93|// MesoNet Hum 39:|:
m eso_dir39|North|// MesoNet WindDir 39:|:
m eso_wspeed39|0|// MesoNet WindSpd 39:|:
m eso_gust39|---|// MesoNet Gust 39:|:
m eso_barom39|30.27|// MesoNet Barom 39:|:
m eso_rrate39|---|// MesoNet RainRate 39:|:
m eso_stat40||// MesoNet Station 40:|:
m eso_loc40||// MesoNet Location 40:|:
m eso_neigh40||// MesoNet Neighborhood 40:|:
m eso_url40||// MesoNet URL 40:|:
m eso_URLtext40||// MesoNet URL Text 40:|:
m eso_historyURL40||// MesoNet History URL 40:|:
m eso_lon40||// MesoNet Lon 40:|:
m eso_lat40||// MesoNet Lat 40:|:
m eso_time40||// MesoNet Time 40:|:
m eso_temp40||// MesoNet Temp 40:|:
m eso_dew40||// MesoNet DewPt 40:|:
m eso_rh40||// MesoNet Hum 40:|:
m eso_dir40||// MesoNet WindDir 40:|:
m eso_wspeed40||// MesoNet WindSpd 40:|:
m eso_gust40||// MesoNet Gust 40:|:
m eso_barom40||// MesoNet Barom 40:|:
m eso_rrate40||// MesoNet RainRate 40:|:
END_OF_RAW_DATA_LINES;

// end of generation script

// put data in  array
//
$WX = array();
global $WX;
$WXComment = array();
$data = explode(":|:",$rawdatalines);
$nscanned = 0;
foreach ($data as $v => $line) {
list($vname,$vval,$vcomment) = explode("|",trim($line).'|||');
$vname = substr($vname,0,1) . substr($vname,2);
if ($vname <> "" and $vval <> "") {
$WX[$vname] = trim($vval);
if($vcomment <> "") { $WXComment[$vname] = trim($vcomment); }
}
$nscanned++;
}
$vpforecasttext = 'NOTE: This data is bogus. Set up VWS to upload the VWStags.php so your weather station data will appear.';
if(isset($_REQUEST['debug'])) {
print "<!-- loaded $nscanned $WXsoftware \$WX[] entries -->\n";
}

if (isset($_REQUEST["sce"]) and strtolower($_REQUEST["sce"]) == "dump" ) {

print "<pre>\n";
print "// \$WX[] array size = $nscanned entries.\n";
foreach ($WX as $key => $val) {
$t =  "\$WX['$key'] = '$val';";
if(isset($WXComment[$key])) {$t .=  " $WXComment[$key]"; }
print "$t\n";
}
print "</pre>\n";

}
if(file_exists("VWS-defs.php")) { include_once("VWS-defs.php"); }
?>
